-- -------------------------------------------------------------------
-- $Id: modul_14.2_arkivstyring_tabeller.sql 557 2009-10-13 13:15:45Z tm $
-- -------------------------------------------------------------------
-- 14.2 - Modul for arkivstyring
-- 
-- Author: Rune Runnest
--         Thomas Malt
--         Anthony Lrdahl
--
-- NOTE: Bruk flgende tabulatorstoppere: 4, 20, 35, 47, 62, 78 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.2.1 Sak (noarksak)

drop table if exists noarksak;

create table noarksak(
    sa_id           int(10)        not null    primary key, -- O
    sa_saar         int(4)         not null,                -- O
    sa_seknr        int(6)         not null,                -- O 
    sa_papir        bool           null,                    -- O2
    sa_dato         date           not null,                -- O
    sa_tittel       varchar(255)   not null,                -- O
    sa_u1           bool           not null,                -- O
    sa_status       varchar(2)     not null,                -- O 
    sa_arkdel       varchar(10)    not null,                -- O
    sa_type         varchar(10)    null,                    -- A
    sa_jenhet       varchar(10)    null,                    -- O
    sa_opsaksdel    varchar(10)    null,                    -- A
    sa_admid        int(10)        not null,                -- O
    sa_ansvid       int(10)        not null,                -- O
    sa_tgkode       varchar(2)     null,                    -- O
    sa_uoff         varchar(70)    null,                    -- O
    sa_tggruppe     int(10)        null,                    -- O1
    sa_sistejp      date           null,                    -- O
    sa_antjp        int(4)         not null,                -- O
    sa_bevtid       int(2)         null,                    -- O
    sa_kasskode     varchar(2)     null,                    -- O
    sa_kassdato     date           null,                    -- O
    sa_prosjekt     varchar(70)    null,                    -- O
    sa_pres         varchar(70)    null,                    -- O
    sa_obs          date           null,                    -- /O/
    sa_frarkdel     varchar(10)    null,                    -- O
    sa_utldato      date           null,                    -- /O/
    sa_utltil       int(10)        not null                 -- /O/
)Type=InnoDB; 




-- 14.2.2 Jevnfr sak (JFSAK)
drop table if exists jfsak;

create table jfsak(
    jf_id           int(10)        not null    primary key, -- O1
    jf_fsaid        int(10)        null,                    -- O1
    jf_fjpid        int(10)        null,                    -- A
    jf_tsaid        int(10)        null,                    -- O1
    jf_tjpid        int(10)        null,                    -- O1
    jf_tpsid        int(10)        null,                    -- O1
    jf_merknad      varchar(255)   null                     -- O1
)Type=InnoDB;


-- 14.2.3 Klassering (klassering)
drop table if exists klassering;

create table klassering(
    kl_said         int(10)        not null,                -- O
    kl_sort         varchar(1)     not null,                -- O
    kl_ordnpri      varchar(10)    not null,                -- O
    kl_ordnver      varchar(70)    not null,                -- O
    kl_u1           bool           not null,                -- O
    kl_merknad      text           null,                    -- A
    primary key (kl_said, kl_ordnpri, kl_ordnver)
)Type=InnoDB;



-- 14.2.4 Part i sak (sakspart)
drop table if exists sakspart;

create table sakspart(
    sp_said         int(10)        not null,                -- O1
    sp_u1           bool           null,                    -- O1
    sp_kortnavn     varchar(10)    null,                    -- O1
    sp_navn         varchar(70)    null,                    -- O1
    sp_adresse      varchar(120)   null,                    -- O1
    sp_postnr       varchar(5)     null,                    -- O1
    sp_poststed     varchar(60)    null,                    -- O1
    sp_utland       varchar(120)   null,                    -- A
    sp_epostadr     varchar(120)   null,                    -- E
    sp_kontakt      varchar(70)    null,                    -- O1
    sp_rolle        varchar(70)    null,                    -- O1
    sp_faks         varchar(20)    null,                    -- A
    sp_tlf          varchar(20)    null,                    -- A
    sp_merknad      text           null,                    -- O1
    primary key (sp_said, sp_navn)
)Type=InnoDB;




-- 14.2.5 Saksstatus (sakstatus)
drop table if exists sakstatus;

create table sakstatus(
    ss_status       varchar(2)     not null    primary key, -- O
    ss_betegn       varchar(70)    not null,                -- O
    ss_midlertidig  bool           null,                    -- A
    ss_lukket       bool           null,                    -- A
    ss_utg          bool           null                     -- A
)Type=InnoDB;


-- 14.2.6 Sakstype (sakstype)
drop table if exists sakstype;

create table sakstype(
    st_type         varchar(10)    not null    primary key, -- A
    st_betegn       varchar(70)    null,                    -- A
    st_utvsaktype   varchar(10)    null,                    -- A
    st_uoff         bool           null,                    -- A
    st_hjemmel      varchar(70)    null,                    -- A
    st_klageadg     bool           null,                    -- A
    st_merknad      text           null                     -- A
)Type=InnoDB;


-- 14.2.7 Kassasjonskode (kasskode)
drop table if exists kasskode;

create table kasskode(
    kk_kode         varchar(2)     not null    primary key, -- O
    kk_betegn       varchar(70)    not null                 -- O
)Type=InnoDB;



-- 14.2.8 Journalpost (journpost)
drop table if exists journpost;

create table journpost(
    jp_id           int(10)        not null    primary key, -- O
    jp_jaar         int(4)         not null,                -- O 
    jp_seknr        int(6)         not null,                -- O
    jp_said         int(10)        not null,                -- O
    jp_jpostnr      int(4)         not null,                -- O
    jp_jdato        date           not null,                -- O
    jp_ndoktype     varchar(1)     not null,                -- O
    jp_dokdato      date           null,                    -- O
    jp_udatert      bool           not null,                -- O
    jp_status       varchar(2)     not null,                -- O
    jp_innhold      text           not null,                -- O
    jp_u1           bool           not null,                -- O
    jp_avskdato     date           null,                    -- O
    jp_ekspdato     date           null,                    -- O1
    jp_forfdato     date           null,                    -- O
    jp_tgkode       varchar(2)     null,                    -- O
    jp_uoff         varchar(70)    null,                    -- O
    jp_ovdato       date           null,                    -- O1
    jp_agdato       date           null,                    -- O
    jp_agkode       varchar(2)     null,                    -- O
    jp_tggruppe     int(10)        null,                    -- O1
    jp_saksdel      varchar(70)    null,                    -- A
    jp_u2           bool           null,                    -- A
    jp_arkdel       varchar(10)    null,                    -- A
    jp_papir        bool           null,                    -- A
    jp_tlkode       varchar(10)    null,                    -- O
    jp_antved       int(2)         null,                    -- O
    jp_utldato      date           null,                    -- /O/
    jp_utltil       int(10)        not null,                -- /O/
    index(jp_id)
)Type=InnoDB;


-- 14.2.9 Avsender/Mottaker (avsmot)
drop table if exists avsmot;

create table avsmot(
    am_id           int(10)        not null    primary key, -- O
    am_jpid         int(10)        not null,                -- O
    am_ihtype       bool           not null,                -- O
    am_kopimot      bool           null,                    -- O1
    am_behansv      bool           null,                    -- O1
    am_navn         varchar(70)    null,                    -- O
    am_gruppemot    bool           null,                    -- O1
    am_gruppe       varchar(10)    null,                    -- O1
    am_u1           bool           null,                    -- O
    am_kortnavn     varchar(10)    null,                    -- O
    am_adresse      varchar(120)   null,                    -- O1
    am_postnr       varchar(5)     null,                    -- O1
    am_poststed     varchar(60)    null,                    -- O1
    am_utland       varchar(60)    null,                    -- E
    am_epostadr     varchar(120)   null,                    -- O1
    am_ref          varchar(70)    null,                    -- O
    am_admid        int(10)        not null,                -- O
    am_sbhid        int(10)        not null,                -- O
    am_jenhet       varchar(10)    null,                    -- O
    am_avskm        varchar(10)    null,                    -- O
    am_avskav       int(10)        null,                    -- O
    am_avskdato     date           null,                    -- O
    am_besvar       int(10)        null,                    -- O
    am_frist        date           null,                    -- O
    am_forsend      varchar(10)    null,                    -- O1
    am_fsstatus     varchar(2)     null                     -- /E/
)Type=InnoDB;


-- 14.2.10 Ekstern saksreferanse (ekstsakref)
drop table if exists ekstsakref;

create table ekstsakref(
    er_jpid         int(10)        not null    primary key, -- E1
    er_asaar        int(4)         null,                    -- E1
    er_asnr         int(6)         null,                    -- E1
    er_abaseid      int(10)        null,                    -- E1
    er_ajpid        int(10)        null,                    -- E1
    er_ref          varchar(70)    null,                    -- E1
    er_admid        int(10)        null,                    -- E1
    er_admbet       varchar(70)    null,                    -- E1
    er_sbhid        int(10)        null,                    -- E1
    er_sbhnavn      varchar(30)    null,                    -- E1
    er_sbhinit      varchar(10)    null                     -- E1
 )Type=InnoDB;


-- 14.2.11 Noark dokumenttype (noarkdoktype)
drop table if exists noarkdoktype;

create table noarkdoktype(
    nd_doktype      varchar(1)     not null    primary key, -- O
    nd_betegn       varchar(70)    not null,                -- O
    nd_ekstprod     bool           null,                    -- A
    nd_intmot       varchar(1)     null,                    -- A
    nd_ekstmot      varchar(1)     null,                    -- A
    nd_oppf         bool           null                     -- A
 )Type=InnoDB;


-- 14.2.12 Journalstatus (journstatus)
drop table if exists journstatus;

create table journstatus(
    js_status       varchar(2)     not null    primary key, -- O
    js_betegn       varchar(70)    not null,                -- O
    js_ansvar       varchar(1)     null,                    -- A
    js_dokkontr     varchar(1)     null,                    -- A
    js_ekspedert    bool           null,                    -- A
    js_forarkiv     bool           null,                    -- A
    js_forleder     bool           null,                    -- A
    js_forsaksbeh   bool           null,                    -- A
    js_forekst      bool           null,                    -- A
    js_forint       bool           null                     -- A
 )Type=InnoDB;


-- 14.2.13 Tilleggskode (tlkode)
drop table if exists tlkode;

create table tlkode(
    tl_kode         varchar(10)    not null    primary key, -- A
    tl_betegn       varchar(70)    null                     -- A
 )Type=InnoDB;


-- 14.2.14 Avgraderingskode (avgradkode)
drop table if exists avgradkode;

create table avgradkode(
    ag_kode         varchar(2)     not null    primary key, -- O
    ag_betegn       varchar(70)    not null                 -- O
 )Type=InnoDB;


-- 14.2.15 Avskrivningsmte (avskrmaate)
drop table if exists avskrmaate;

create table avskrmaate(
    av_kode         varchar(10)    not null    primary key, -- O
    av_betegn       varchar(70)    not null,		    -- O
    av_midlertid    bool           not null,		    -- O
    av_besvart      bool           not null                 -- O
 )Type=InnoDB;


-- 14.2.16 Forsendelsesmte (forsmaate)
drop table if exists forsmaate;

create table forsmaate(
    fm_kode         varchar(10)    not null    primary key, -- O1
    fm_betegn       varchar(70)    null                     -- O1
 )Type=InnoDB;


-- 14.2.17 Forsendelsesstatus (fstatus)
drop table if exists fstatus;

create table fstatus(
    fs_status       varchar(2)     not null    primary key, -- E
    fs_betegn       varchar(70)    null                     -- E
 )Type=InnoDB;


-- 14.2.18 Presedens (presedens)
--
-- NOTES:
--   R: ps_said: her skal det vre referanse til PRESEDENSSAK, men jeg
--      finner ikke noen tabeller i spesifikasjonen som heter det.
--   T: Jeg tror faktisk det er referanse til en noarksak som har 
--      presedens, og ikke til en egen tabell.
--   R: Jo, iflge Jon Atle er det oppslag mot tabellen Noarksak.

drop table if exists presedens;

create table presedens(
    ps_id           int(10)        not null    primary key, -- O1
    ps_ekstern      bool           null,		    -- O1
    ps_said         int(10)        null, 		    -- O1
    ps_jpid         int(10)        null,		    -- O1
    ps_dato         date           null,		    -- O1
    ps_foreldet     bool           null,		    -- O1
    ps_tittel       text           null,		    -- O1
    ps_type         varchar(10)    null,		    -- O1
    ps_admid        int(10)        null,		    -- O1
    ps_tgkode       varchar(2)     null,		    -- O1
    ps_tggruppe     int(10)        null,		    -- O1
    ps_uoff         varchar(70)    null,		    -- O1
    ps_hjemmel      text           null,		    -- O1
    ps_lok          text           null,		    -- /O1/
    ps_dokid        int(10)        null,		    -- O1
    ps_tekst        text           null                     -- O1
 )Type=InnoDB;


-- 14.2.19 Presedens henvisninger (preshenv)
drop table if exists preshenv;

create table preshenv(
    ph_fpsid        int(10)        not null,                -- O1
    ph_tpsid        int(10)        not null,		    -- O1
    ph_toveis       bool           null,		    -- O1
    ph_merknad      text           null,                    -- O1         
    primary key (ph_fpsid, ph_tpsid)    
 )Type=InnoDB;

-- 14.2.20 Emneord/stikkord presedens (eopresedens)
drop table if exists eopresedens;

create table eopresedens(
    ep_psid         int(10)        not null,                -- O1
    ep_sordflagg    bool           null,                    -- A
    ep_ord          varchar(70)    not null,                -- O1
    primary key(ep_psid, ep_ord)
 )Type=InnoDB;


-- 14.2.21 Lov/forskriftsreferanse presendens (lfpresedens)
drop table if exists lfpresedens;

create table lfpresedens(
    pl_psid         int(10)        not null,                -- O1
    pl_lovforsk     varchar(10)    null,		    -- O1
    pl_paragraf     varchar(10)    null,		    -- O1
    pl_merknad      text           null,                    -- O1
    primary key(pl_psid, pl_lovforsk, pl_paragraf)
 )Type=InnoDB;


-- 14.2.22 Lover og forskrifter (lfkoder)
drop table if exists lfkoder;

create table lfkoder(
    lk_kode         varchar(10)    not null    primary key, -- O1
    lk_betegn       varchar(70)    null                     -- O1
)Type=InnoDB;



-- 14.2.23 Adresseregister (adressekp)
drop table if exists adressekp;

create table adressekp(
    ak_adrid        int(10)        not null  primary key  auto_increment, -- O1
    ak_overord      int(10)        null,		    -- A
    ak_type         varchar(2)     null,		    -- O1
    ak_adrgruppe    bool           null,		    -- O1
    ak_kortnavn     varchar(10)    null      unique,	    -- O
    ak_navn         varchar(70)    not null,		    -- O
    ak_postadr      varchar(120)   null,		    -- O1
    ak_postnr       varchar(5)     null,		    -- O1
    ak_poststed     varchar(60)    null,                    -- O1
    ak_utland       varchar(120)   null,                    -- A
    ak_epost        varchar(120)   null,		    -- /E/
    ak_faks         varchar(20)    null,		    -- /A/
    ak_tlf          varchar(20)    null,		    -- /A/
    ak_mobil        varchar(20)    null,		    -- /A/
    ak_persok       varchar(20)    null,		    -- /A/
    ak_tildato      date           null,		    -- /A/
    ak_orgnr        varchar(20)    null,		    -- A
    ak_tggruppe     int(10)        null,		    -- /O1/
    ak_opdgruppe    int(10)        null,		    -- /A/
    ak_baseid       int(10)        null,		    -- E1
    ak_regepost     bool           null,                    -- /E1/
    index(ak_kortnavn)
)Type=InnoDB;


-- 14.2.24 Adressegruppemedlem (medladrgr)
drop table if exists medladrgr;

create table medladrgr (
    mg_grid         int(10)        not null,		    -- O1
    mg_medlid       int(10)        not null,                -- O1
    primary key (mg_grid,mg_medlid)
)Type=InnoDB;

 
-- 14.2.25 Adressetype (adrtype)
drop table if exists adrtype;

create table adrtype(
    at_kode         varchar(2)     not null    primary key, -- O1
    at_betegn       varchar(70)    null                     -- O1
)Type=InnoDB;


-- 14.2.26 Postnummer (postnr)
drop table if exists postnr;

create table postnr(
    po_postnr       varchar(5)     not null    primary key, -- /O1/
    po_poststed     varchar(70)    null,                    -- /O1/
    po_oprdato      date           null,                    -- /A/
    po_nedldato     date           null,		    -- /A/
    po_komnr        varchar(4)     null,		    -- /A/
    po_kommune      varchar(70)    null                     -- /A/
)Type=InnoDB;


-- 14.2.27 Autorisasjon for korrespondansepart (kpautoris)

-- NOTES
--   R: Skal ikke feltet ka_tgkode ha oppslag mot tabellen tgkode 
--      (tk_tgkode) ? 
--   T: Jo, det skal det.

drop table if exists kpautoris;

create table kpautoris(
    ka_adrid        int(10)        not null,                -- /E1/
    ka_tgkode       varchar(2)     null,		    -- /E1/
    ka_fradato      date           null,		    -- /E1/
    ka_tildato      date           null,		    -- /E1/
    ka_autav        int(10)        null,		    -- /E1/
    ka_date         date           null,                    -- /E1/
    primary key (ka_adrid, ka_tgkode, ka_tildato)
)Type=InnoDB;



-- 14.2.28 Sertifikat (digisert)
-- NOTES:
--   R: Skal ikke se_navn ha oppslag mot pn_navn ?
--   T: Nei, slik jeg forstr det er det ikke ndvendigvis et navn som 
--      er registrert i systemet. hvis det hadde vrt det hadde det vrt 
--      logisk med en referanse til person(pe_id), og ikke til pernavn.
--      Det kan hende det er en forglemmelse i spesifikasjonen, hr med 
--      Jon Atle. 
--   R: Skal ikke se_verav ha oppslag mot person(pn_id) ?
--   T: Stemmer, referanse til person(pe_id)
drop table if exists digisert;

create table digisert(
    se_id           int(10)        not null    primary key, -- /E1/
    se_adrid        int(10)        null,		    -- /E1/
    se_navn         varchar(70)    null,		    -- /E1/
    se_epost        varchar(120)   null,		    -- /E1/
    se_ttpepost     varchar(120)   null,		    -- /E1/
    se_fradato      date           null,		    -- /E1/
    se_tildato      date           null,		    -- /E1/
    se_verav        int(10)        null,		    -- /E1/
    se_verdato      date           null,		    -- /E1/
    se_signtekst    text           null,		    -- /E1/
    se_sert         blob           null                     -- /E1/
)Type=InnoDB;


-- 14.2.29 Utvekslingsformat ved korrespondanse (kpformat)
drop table if exists kpformat;

create table kpformat(
    kf_adrid        int(10)        not null,                -- /E1/
    kf_format       varchar(10)    not null,                -- /E1/
    primary key(kf_adrid, kf_format)
)Type=InnoDB;


-- 14.2.30 Merknad (merknad)
drop table if exists merknad;

create table merknad(
    me_id           int(10)        not null    primary key, -- O2
    me_said         int(10)        null,		    -- O2
    me_jpid         int(10)        null,		    -- O2
    me_dokid        int(10)        null,		    -- O2
    me_dokver       int(5)         null,		    -- O2
    me_variant      varchar(2)     null,		    -- O2
    me_rnr          int(6)         null,		    -- O2
    me_itype        varchar(10)    null,		    -- O2
    me_tgkode       varchar(2)     null,		    -- O2
    me_tggruppe     int(10)        null,		    -- O2
    me_oppbedato    date           null,		    -- O2
    me_regdato      date           null,		    -- O2
    me_regkl        time           null, 		    -- O2
    me_regav        int(10)        null,		    -- O2
    me_pvgav        int(10)        null,		    -- O2
    me_tekst        text           null,		    -- O2
    me_refdokid     int(10)        null                     -- A
)Type=InnoDB;



-- 14.2.31 Tileggsinformasjon (tilleggsinfo)
drop table if exists tilleggsinfo;

create table tilleggsinfo(
    ti_id           int(10)        not null    primary key, -- O1
    ti_said         int(10)        null,		    -- O1
    ti_jpid         int(10)        null,		    -- O1
    ti_dokid        int(10)        null,		    -- O1
    ti_dokver       int(5)         null,		    -- O1
    ti_variant      varchar(5)     null,		    -- O1
    ti_rnr          int(6)         null,		    -- O1
    ti_itype        varchar(10)    null,		    -- O1
    ti_tgkode       varchar(2)     null,		    -- O1
    ti_tggruppe     int(10)        null,		    -- O1
    ti_oppbedato    date           null,		    -- O1
    ti_regdato      date           null,		    -- O1
    ti_regkl        time           null, 		    -- O1
    ti_regav        int(10)        null,		    -- O1
    ti_pvgav        int(10)        null,		    -- O1
    ti_tekst        text           null,                    -- O1
    ti_refdokid     int(10)        null                     -- A
)Type=InnoDB;


-- 14.2.32 Informasjonstype (infotype)
drop table if exists infotype;

create table infotype(
    it_kode         varchar(10)    not null    primary key, -- O1
    it_betegn       varchar(70)    null,		    -- O1
    it_ltekst1      varchar(30)    null,		    -- O1
    it_ltekst2      varchar(30)    null,		    -- O1
    it_merknad      bool           null,		    -- O1
    it_autolog      bool           null,		    -- O1
    it_tgkode       varchar(2)     null,		    -- A
    it_oppbetid     int(3)         null                     -- A
)Type=InnoDB;


--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.12  2005/09/29 11:55:04  tm
-- Changes since last.
--
-- Revision 1.11  2005/06/02 14:47:59  tm
-- OBS: Endret NOT NULL reglene til kun  gjelde for K(O)-krav _uansett
-- hva kravspesifikasjonen sier. Sjekk ut revisjonen fr denne hvis du
-- nsker tabeller med NOT NULL satt overalt ihht. kravspekk.
--
-- Revision 1.10  2005/03/02 12:05:26  tm
-- fixes
--
-- Revision 1.9  2005/03/02 10:27:44  elark
-- fixed attribute typo
--
-- Revision 1.8  2005/03/01 10:27:24  elark
-- bugfixes
--
-- Revision 1.7  2005/02/28 12:41:14  elark
-- Added italic to "krav type" where appropriate
--
-- Revision 1.6  2005/02/23 14:35:50  elark
-- Added flags
--
-- Revision 1.5  2005/02/21 15:21:42  elark
-- Forbedret frekvensanalyse + diverse fjerning av whitespace. :)
--
-- Revision 1.4  2004/12/21 08:54:47  anlar
--
-- -- O1, --A etc in the SQL-create scripts
--
-- Revision 1.3  2004/12/20 11:56:18  elark
-- La til Kravniv.
--
-- Revision 1.2  2004/12/14 12:11:43  elark
-- Feilfikset sqlfiler og rensrekv createdb
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.6  2003/06/30 14:21:07  tm
-- La til nye indexer der det er ndvendig.
--
-- Revision 1.5  2003/06/30 11:55:55  tm
-- Rettet skrivefeil fra Rune.
--
-- Revision 1.4  2003/06/30 11:48:33  tm
-- Nye versjoner av alt mulig fra Rune. Ikke gjennomgtt enn.
--
-- Revision 1.1  2003/06/25 11:26:52  tm
-- Ga arkivstyring nytt navn.
--
-- Revision 1.2  2003/06/25 11:24:32  tm
-- Gjennomgikk fullstendig definisjon fra Rune, svarte p kommentarer, og
-- viste definisjon av indexer og fremmednker for tabell 1-4. Syntax i
-- resten av tabellene ikke sjekket.
--
-- Revision 1.1  2003/06/19 14:12:25  tm
-- Manglet en fil.
--
--

