#-------------------------------------------------------------------------
# $Id: CursiveAttribute.pm 736 2011-06-20 14:52:26Z tm $
#-------------------------------------------------------------------------
package Noark::Error::CursiveAttribute;

use base ('Noark::Error');

use Carp;

use strict;
use warnings;

sub new {
    my ($proto, %args) = @_;
    
    my $class = ref($proto) || $proto;
    my $self  = $class->SUPER::new(%args);
    $self->{name} = 'Fant attributter som ikke skal avleveres';
    $self->{text} = 'Flgende attributter som ikke skal vre med forekom '
                  . 'i avleveringen, enten i NOARKIH, eller i tabellfila. '
                  . 'I kravspesifikasjonen del 2 er disse markert med '
                  . 'kursiv i K-feltet.';
    $self->{__key_values} = [qw|attribute|];

    return $self;    
}


sub to_text {
    my ($self, $sec, $ind) = @_;

    $ind ||= 0;

    my $msg = " " x $ind;
    
    $msg .= $sec." " if defined $sec;
    $msg .= $self->get_name()."\n\n";
    $msg .= $self->__format_text($self->get_text, $ind)."\n\n";

    for my $attr (sort keys %{$self->{__keys}}) {
        $msg .= " " x $ind;
        $msg .= "  ".$attr."\n";
    }

    return $msg;
}

1;
