#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------
package Noark::Error::EmptyAttribute;

use base ('Noark::Error');

use Carp;

use strict;
use warnings;

sub new {
    my ($proto, %args) = @_;
    
    my $class = ref($proto) || $proto;
    my $self  = $class->SUPER::new(%args);
    $self->{name} = 'Attributt i avleveringen hadde tom verdi';
    $self->{text} = 'Flgende attributter i avleveringen hadde tom verdi. '
                  . 'Det er bare attributter med innhold som skal tas med '
                  . 'ved en eksport, tomme attributter legges ikke ut.';
    $self->{__key_values} = [qw|file line field|];

    return $self;    
}


sub to_text {
    my ($self, $sec, $ind) = @_;

    $ind ||= 0;

    my $msg = " " x $ind;
    
    $msg .= $sec." " if defined $sec;
    $msg .= $self->get_name()."\n\n";
    $msg .= $self->__format_text($self->get_text, $ind)."\n\n";
    $msg .= $self->get_list_labels($ind);

    for my $file (sort keys %{$self->{__keys}}) {
        for my $line (sort keys %{$self->{__keys}->{$file}}) {
            for my $attr (sort keys %{$self->{__keys}->{$file}->{$line}}) {
                $msg .= sprintf(
                    "%s  %-12.12s  %8s  %-38.38s\n",
                    " " x $ind,
                    $file, $line, $attr
                );
            }
        }
    }

    return $msg;
}

sub get_list_labels {
    my ($self, $indent) = @_;

    my $key = "%s  %-12s  %8s  %-38s\n";
    my $str = sprintf(
        $key,
        " " x $indent,
        "Filnavn", "Linje", "Attributt"
    );
    $str .= sprintf(
        $key,
        " " x $indent,
        "-" x 12,
        "-" x 8,
        "-" x 38,
    );

    return $str;
}


1;
