#!/usr/bin/perl
#------------------------------------------------------------------------
# $Id$
#------------------------------------------------------------------------
package Noark::Error::FileName;

use base ('Noark::Error');

use File::Basename;
use Carp;
use Data::Dumper;

use strict;
use warnings;

sub new {
    my ($proto) = @_;

    my $class = ref($proto) || $proto;
    my $self = {
        name => 'Feil kortnavn i NOARKIH',
        text => 'Det er brukt feil kortnavn for  angi tabellnavn iht. Noark-4.1.'
        hint => 'Arkivsystemet m utbedres slik at alle tabellnavn i eksporten '
              . 'blir skrevet med store bokstaver. Dette gjelder:',
    };

    $self->{__keys} = {};

    bless ($self, $class);

    return $self;
}

sub add_line {
    my ($self, $args) = @_;

    $args->{file}  || croak("You must supply a value for 'file' in arguments");
    $args->{line}  || croak("You must supply a value for 'line' in arguments");

    $self->{__keys}->{$args->{line}}->{$args->{file}} = 1;
    $self->increment_counter();

    return $self;
}

sub to_text {
    my ($self, $sec, $ind) = @_;

    $ind ||= 0;

    my $msg = " " x $ind;
    
    $msg .= $sec." " if defined $sec;
    $msg .= $self->get_name()."\n\n";
    $msg .= $self->__format_text($self->{text}, $ind)."\n\n";
    $msg .= $self->__format_text($self->{hint}, $ind)."\n\n";

    for my $line (sort {$a <=> $b } keys %{$self->{__keys}}) {
        for my $file (sort keys %{$self->{__keys}->{$line}}) {
            $msg .= " " x ($ind+2);
            $msg .= "'$file' i TABELLINFO p linje $line.\n";
        }
    }

    return $msg;

}

sub get_list_labels {

};

1;
