#!/usr/bin/perl
#-----------------------------------------------------------------------
# $Id: MissingAttribute.pm 783 2011-06-24 14:23:43Z tm $
#-----------------------------------------------------------------------
# Noark::Analyzer::MissingAttributesError - Object for errors.
#
# Author: Thomas Malt <tm@linpro.no>
#
# 
# garon
#

package Noark::Error::MissingAttribute;

use strict;
use warnings;
use Carp::Assert;
use YAML::Syck;
use File::Basename;
use Carp;

use base ('Noark::Error::ExtraAttribute');

sub new {
    my ($proto, %opts) = @_;

    my $s = Noark::Schema->new();
    # croak("The table given as argument must be valid") 
    #     if not $s->is_tablename_valid($opts{table});

    my $class = ref($proto) || $proto;
    my $messagefile = 
        dirname($INC{'Noark/Error/MissingAttribute.pm'}) .
        '/Messages/MissingAttribute.yaml';

    croak("Messagefile $messagefile is not valid") if (! -r $messagefile);
    my $self = LoadFile($messagefile) if (-r $messagefile);
    
    # $self->{table} = $opts{table} || croak("You must supply a valid table
    # name");

    $self->{__attributes} = [];

    bless($self, $class);
    return $self;
}



1;
__END__

=head1 NAME

Noark::Error::MissingAttribute

=head1 SYNOPSIS

use Noark::Error::MissingAttribute;
my $error = Noark::Error:MissingAttribute->new();

=head1 SUBROUTINES

=over

=item new ($proto, %opts)

Constructor for the error object. Arguments are:
table - the name of the table. This must be a valid tablename.

=back

=cut
