#!/usr/bin/perl
#-----------------------------------------------------------------------
# $Id: MissingFile.pm 746 2011-06-22 07:59:57Z tm $
#-----------------------------------------------------------------------

package Noark::Error::MissingFile;
use base ('Noark::Error');

use strict;
use warnings;

use Carp::Assert;
use Carp;

sub new {
    my ($proto, %opts) = @_;

    my $class = ref($proto) || $proto;
    my $self = {};
    
    $self->{name} = "Finner ikke fil i avlevering";
    $self->{text} = ""; # Settes av get_text.
    $self->{__keys} = {};
    $self->{__key_values} = [qw|line file|];
    bless($self, $class); 

    return $self;
}

sub get_text {
    my $self = shift;

    my $is_plural  = scalar keys %{$self->{__keys}} > 1 ? 1 : 0;
    my $many_files = ($is_plural) ? 'flere av filene' : 'n av filene';
    my $many_names = ($is_plural) ? 'Filnavnene'  : 'Filnavnet';

    $self->{text}  = "Vi kunne ikke finne $many_files som ble nevnt i NOARKIH. "
                   . "$many_names er:";      

    return $self->{text};
}

sub get_list {
    my $self = shift;

    return %{$self->{__keys}};
}


sub to_text {
    my ($self, $sec, $ind) = @_;

    $ind ||= 0;

    my $msg = " " x $ind;
    
    $msg .= $sec." " if defined $sec;
    $msg .= $self->get_name()."\n\n";
    $msg .= $self->__format_text($self->get_text, $ind)."\n\n";

    for my $line (sort keys %{$self->{__keys}}) {
        for my $file (sort keys %{$self->{__keys}->{$line}}) {
            $msg .= " " x ($ind+2);
            $msg .= "'$file' i TABELLINFO p linje $line.\n";
        }
    }

    return $msg;

}


1;
__END__
