#----------------------------------------------------------------------
# $Id: UnknownAttribute.pm 795 2011-06-28 13:38:32Z tm $
#----------------------------------------------------------------------
package Noark::Error::UnknownAttribute;

use base ('Noark::Error');
use strict;
use warnings;

use File::Basename;
use YAML::Syck;
use Carp;

sub new {
    my ($proto, %args) = @_;

    my $class = ref($proto) || $proto;
    my $self  = $class->SUPER::new(%args);
    $self->{name} = 'Fant attributter som ikke finnes i Noark-4.1';
    $self->{text} = 'Attributter som ikke finnes i Noark-4.1 ble funnet i '
                  . 'avleveringen. Disse var:';
    $self->{__key_values} = [qw|attribute|];

    return $self;    
}


sub to_text {
    my ($self, $sec, $ind) = @_;

    $ind ||= 0;

    my $msg = " " x $ind;
    
    $msg .= $sec." " if defined $sec;
    $msg .= $self->get_name()."\n\n";
    $msg .= $self->__format_text($self->get_text, $ind)."\n\n";

    for my $attr (sort keys %{$self->{__keys}}) {
        $msg .= " " x $ind;
        $msg .= "  ".$attr."\n";
    }

    return $msg;
}

1;
__END__
