#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------
# 
# Author: Thomas Malt <thomas@malt.no>
#
# Copyright 2011 Arkivverket
#


=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

ErrorList is an object for storing and dealing with arkn4 errors

=cut

package Noark::Parser::ErrorList;

use strict;
use warnings;

use Carp;

=head1 SUBROUTINES

=over

=item new

Constructor
TODO add real documentation later LOL

=cut
sub new {
    my ($proto, %args) = @_;

    my $class = ref($proto) || $proto;
    my $self  = {};

    bless($self, $class);

    return $self;
}

sub add_error {
    my ($self, $key, $type, $args) = @_;

    croak("first argument (error key) must be defined") if ! defined $key;

    my $error = $self->get_error_by_key_type($key, $type);
    if (ref $error ne $type) {
        # Unlikely but now you know this sanity check is in place :)
        croak("Was not able to get an error object for $type");
    }
    $error->add_line($args);
    return $self;
}

sub get_error_by_key_type {
    my ($self, $key, $type) = @_;

    if (ref $self->{__errors}->{$key}->{$type} eq $type) {
        return $self->{__errors}->{$key}->{$type};
    }

    eval {
        (my $file = $type) =~ s|::|/|g;
        require $file.'.pm';
        $type->import();
        1;
    } or do {
        my $error = $@;
        croak($error);
    };

    $self->{__errors}->{$key}->{$type} = $type->new();
    return $self->{__errors}->{$key}->{$type};
}

sub get_keys {
    my $self = shift;
    return keys %{$self->{__errors}};
}

sub get_errors_by_key {
    my ($self, $key) = @_;
    
    return $self->{__errors}->{$key} || {};
}

sub get_errors_as_arrayref_by_key {
    my ($self, $key) = @_;

    my @list = values %{$self->get_errors_by_key($key)};
    return \@list;
}

1;
__END__

=pod

=back

=cut

