-- -------------------------------------------------------------------
-- $Id: modul_14.2_arkivstyring_referanser.sql,v 1.1 2003/06/25 
-- -------------------------------------------------------------------
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------

-- 14.2.1 Sak (noarksak) Referanser:

--   sakstatus  (14.2.5)
alter table noarksak       add index(sa_status);
alter table noarksak       add foreign key (sa_status)      references sakstatus(ss_status);

--   arkivdel  (14.4.7)
alter table noarksak       add index(sa_arkdel);
alter table noarksak       add foreign key (sa_arkdel)      references arkivdel(ad_arkdel);

--   sakstype  (14.2.6)
alter table noarksak       add index(sa_type);
alter table noarksak       add foreign key (sa_type)        references sakstype(st_type);

--   journenhet (14.4.12)
alter table noarksak       add index(sa_jenhet);
alter table noarksak       add foreign key (sa_jenhet)      references journenhet(je_jenhet);

--   ordnprins (14.4.8)
alter table noarksak       add index(sa_opsaksdel);
alter table noarksak       add foreign key(sa_opsaksdel)    references ordnprins(op_ordnpri);

--   admindel (14.4.1)
alter table noarksak       add index(sa_admid);
alter table noarksak       add foreign key(sa_admid)        references admindel(ai_id);

--   pernavn (14.5.2)
alter table noarksak       add index(sa_ansvid);
alter table noarksak       add foreign key(sa_ansvid)       references pernavn(pn_id);

alter table noarksak       add index(sa_utltil);
alter table noarksak       add foreign key(sa_utltil)       references pernavn(pn_id);

--   tghjemmel (14.5.9)
alter table noarksak       add index(sa_tgkode);
alter table noarksak       add foreign key(sa_tgkode)       references tghjemmel(th_tgkode);

--   tggruppe (14.5.12)
alter table noarksak       add index(sa_tggruppe);
alter table noarksak       add foreign key(sa_tggruppe)     references tggruppe(tg_gruppeid);

--   kasskode (14.2.7)
alter table noarksak       add index(sa_kasskode);
alter table noarksak       add foreign key(sa_kasskode)     references kasskode(kk_kode);


-- 14.2.2 Jevnfr sak (JFSAK) Referanser:

--   noarksak (14.2.1)
alter table jfsak          add index(jf_fsaid);
alter table jfsak          add foreign key (jf_fsaid)       references noarksak(sa_id) on delete set null;

--   journpost (14.2.8)
alter table jfsak          add index(jf_fjpid);
alter table jfsak          add foreign key (jf_fjpid)       references journpost(jp_id) on delete set null;

--   noarksak (14.2.1)
alter table jfsak          add index(jf_tsaid);
alter table jfsak          add foreign key(jf_tsaid)        references noarksak(sa_id) on delete set null;

--   journpost (14.2.8)
alter table jfsak          add index(jf_tjpid);
alter table jfsak          add foreign key (jf_tjpid)       references journpost(jp_id) on delete set null;

--   presedens (14.2.18)
alter table jfsak          add index(jf_tpsid);
alter table jfsak          add foreign key(jf_tpsid)        references presedens(ps_id) on delete set null;






-- 14.2.3 Klassering (klassering) Referanser:

--   noarksak  (14.2.1)
alter table klassering     add index(kl_said);
alter table klassering     add foreign key(kl_said)         references noarksak(sa_id);

--   ordnprins (14.4.8)
alter table klassering     add index(kl_ordnpri);
alter table klassering     add foreign key(kl_ordnpri)      references ordnprins(op_ordnpri);

--   ordnverdi (14.4.9)
--     T: Fikk ikke denne inn. Vet ikke hvorfor.
alter table klassering     add index(kl_ordnver);
alter table klassering     add foreign key(kl_ordnver)      references ordnverdi(ov_ordnver);







-- 14.2.4 Part i sak (sakspart) Referanser:

--   noarksak  (14.2.1)
alter table sakspart       add index(sp_said);
alter table sakspart       add foreign key(sp_said)         references noarksak(sa_id);

--   adressekp  (14.2.23)
--     T: fikk ikke inn denne. Vet ikke hvofor.
alter table sakspart       add index(sp_kortnavn);
alter table sakspart       add foreign key(sp_kortnavn)     references adressekp(ak_kortnavn);

--   postnr (14.2.26)
alter table sakspart       add index(sp_postnr);
alter table sakspart       add foreign key(sp_postnr)       references postnr(po_postnr);






-- 14.2.6 Sakstype  Referanser:

--   utvsaktyp (14.6.16)
alter table sakstype       add index(st_utvsaktype);
alter table sakstype       add foreign key(st_utvsaktype)  references utvsaktyp(su_kode);








-- 14.2.8 Journalpost (journpost)  Referanse:

--   noarksak (14.2.1)
alter table journpost      add index(jp_said);
alter table journpost      add foreign key(jp_said)         references noarksak(sa_id);

--   noarkdoktype (14.2.11)
alter table journpost      add index(jp_ndoktype);
alter table journpost      add foreign key(jp_ndoktype)     references noarkdoktype(nd_doktype);

--   journstatus (14.2.12)
alter table journpost      add index(jp_status);
alter table journpost      add foreign key(jp_status)       references journstatus(js_status);

--   tghjemmel (14.5.9)
alter table journpost      add index(jp_tgkode);
alter table journpost      add foreign key(jp_tgkode)       references tghjemmel(th_tgkode);

--   avgradkode (14.2.14)
alter table journpost      add index(jp_agkode);
alter table journpost      add foreign key(jp_agkode)       references avgradkode(ag_kode);

--   tggruppe (14.5.12)
alter table journpost      add index(jp_tggruppe);
alter table journpost      add foreign key(jp_tggruppe)     references tggruppe(tg_gruppeid);

--   ordnverdi (14.4.9)
--     Har fremdeles problem med fremmednker her.
-- alter table journpost      add index(jp_saksdel);
-- alter table journpost      add foreign key(jp_saksdel)      references ordnverdi(ov_ordnver);

--   tlkode (14.5.8)
alter table journpost      add index(jp_tlkode);
alter table journpost      add foreign key(jp_tlkode)       references tlkode(tl_kode);

--   pernavn (14.5.2)
alter table journpost      add index(jp_utltil);
alter table journpost      add foreign key(jp_utltil)       references pernavn(pn_id);







-- 14.2.9 Avsender/Mottaker (avsmot) Referanser:

--   journpost (14.2.8)
alter table avsmot         add index(am_jpid);
alter table avsmot         add foreign key(am_jpid)         references journpost(jp_id);

--   adressekp (14.2.23)
alter table avsmot         add index(am_kortnavn);
alter table avsmot         add foreign key(am_kortnavn)     references adressekp(ak_kortnavn);

--   postnr (14.2.26)
alter table avsmot         add index(am_postnr);
alter table avsmot         add foreign key(am_postnr)       references postnr(po_postnr);

--   admindel 14.4.1)
alter table avsmot         add index(am_admid);
alter table avsmot         add foreign key(am_admid)        references admindel(ai_id);

--   pernavn (14.5.2)
alter table avsmot         add index(am_sbhid);
alter table avsmot         add foreign key(am_sbhid)        references pernavn(pn_id);

--   journenhet (14.4.12)
alter table avsmot         add index(am_jenhet);
alter table avsmot         add foreign key(am_jenhet)       references journenhet(je_jenhet);

--   avskrmaate (14.2.15)
alter table avsmot         add index(am_avskm);
alter table avsmot         add foreign key(am_avskm)        references avskrmaate(av_kode);

--   forsmaate (14.2.16)
alter table avsmot         add index(am_forsend);
alter table avsmot         add foreign key(am_forsend)      references forsmaate(fm_kode);

--   fstatus  (14.2.17)
alter table avsmot         add index(am_fsstatus);
alter table avsmot         add foreign key(am_fsstatus)     references fstatus(fs_status);








-- 14.2.18 Presedens (presedens) Referanser:

--   noarksak (14.2.1)
alter table presedens      add index(ps_said);
alter table presedens      add foreign key(ps_said)         references noarksak(sa_id);

--   journpost (14.2.8)
alter table presedens      add index(ps_jpid);
alter table presedens      add foreign key(ps_jpid)         references journpost(jp_id);

--   sakstype (14.2.6)
alter table presedens      add index(ps_type);
alter table presedens      add foreign key(ps_type)         references sakstype(st_type);

--   admindel (14.4.1)
alter table presedens      add index(ps_admid);
alter table presedens      add foreign key(ps_admid)        references admindel(ai_id);

--   tgkode (14.5.8)
alter table presedens      add index(ps_tgkode);
alter table presedens      add foreign key(ps_tgkode)       references tgkode(tk_tgkode);

--   tggruppe (14.5.12)
alter table presedens      add index(ps_tggruppe);
alter table presedens      add foreign key(ps_tggruppe)     references tggruppe(tg_gruppeid);







-- 14.2.21 Lov/forskriftsreferanse presendens (lfpresedens) - Referanser:

--   presedens (14.2.18)
alter table lfpresedens    add index(pl_psid);
alter table lfpresedens    add foreign key(pl_psid)         references presedens(ps_id);

--   lfkoder (14.2.22)
alter table lfpresedens    add index(pl_lovforsk);
alter table lfpresedens    add foreign key(pl_lovforsk)     references lfkoder(lk_kode);


 



-- 14.2.23 Adresseregister (adressekp) Referanser:

--   adressekp (14.2.23)
alter table adressekp      add index(ak_overord);
alter table adressekp      add foreign key(ak_overord)      references adressekp(ak_adrid);

--   adrtype (14.2.25)
alter table adressekp      add index(ak_type);
alter table adressekp      add foreign key(ak_type)         references adrtype(at_kode);

--   postnr (14.2.26)
alter table adressekp      add index(ak_postnr);
alter table adressekp      add foreign key(ak_postnr)       references postnr(po_postnr);

--   tggruppe (14.5.12)
alter table adressekp     add index(ak_tggruppe);
alter table adressekp     add foreign key(ak_tggruppe)     references tggruppe(tg_gruppeid);

alter table adressekp     add index(ak_opdgruppe);
alter table adressekp     add foreign key(ak_opdgruppe)    references tggruppe(tg_gruppeid);






-- 14.2.24 Adressegruppemedlem (medladrgr) Referanser:

--   adressekp (14.2.23)
alter table medladrgr      add index(mg_grid);
alter table medladrgr      add foreign key(mg_grid)         references adressekp(ak_adrid) on delete cascade;

--   adressekp (14.2.23)
alter table medladrgr      add index(mg_medlid);
alter table medladrgr      add foreign key(mg_medlid)       references adressekp(ak_adrid) on delete cascade;



-- 14.2.27 Autorisasjon for korrespondansepart (kpautoris)  Referanser:

--   adressekp (14.2.23)
alter table kpautoris      add index(ka_adrid);
alter table kpautoris      add foreign key(ka_adrid)        references adressekp(ak_adrid);

--   tgkode  (14.5.8)
alter table kpautoris      add index(ka_tgkode);
alter table kpautoris      add foreign key(ka_tgkode)       references tgkode(tk_tgkode);

--   person  (14.5.1)
alter table kpautoris      add index(ka_autav);
alter table kpautoris      add foreign key(ka_autav)        references person(pe_id);





-- 14.2.28 Sertifikat (digisert)  Referanser:

--   adressekp  (14.2.23)
alter table digisert       add index(se_adrid);
alter table digisert       add foreign key(se_adrid)        references adressekp(ak_adrid);

--   person  (14.5.1)
alter table digisert       add index(se_verav);
alter table digisert       add foreign key(se_verav)        references person(pe_id);





-- 14.2.29 Utvekslingsformat ved korrespondanse (kpformat) Referanse:

--   adressekp (14.2.23)
alter table kpformat       add index(kf_adrid);
alter table kpformat       add foreign key(kf_adrid)        references adressekp(ak_adrid);

--   lagrformat (14.3.13) 
alter table kpformat       add index(kf_format);
alter table kpformat       add foreign key(kf_format)       references lagrformat(lf_kode);






-- 14.2.30 Merknad (merknad) Referanser:

--   noarksak (14.2.1)
alter table merknad        add index(me_said);
alter table merknad        add foreign key(me_said)         references noarksak(sa_id);

--   journpost (14.2.8) 
alter table merknad        add index(me_jpid);
alter table merknad        add foreign key(me_jpid)         references journpost(jp_id);

--   dokversjon (14.3.3) 
alter table merknad        add index(me_dokver);
alter table merknad        add foreign key(me_dokver)       references dokversjon(ve_versjon);

--   dokversjon (14.3.3)
alter table merknad        add index(me_variant);
alter table merknad        add foreign key(me_variant)      references dokversjon(ve_variant);

--   infotype (14.2.32)
alter table merknad        add index(me_itype);
alter table merknad        add foreign key(me_itype)        references infotype(it_kode);

--   tgkode (14.5.8)
alter table merknad        add index(me_tgkode);
alter table merknad        add foreign key(me_tgkode)       references tgkode(tk_tgkode);

--   tggruppe (14.5.12)
alter table merknad        add index(me_tggruppe);
alter table merknad        add foreign key(me_tggruppe)     references tggruppe(tg_gruppeid);




-- 14.2.31 Tileggsinformasjon (tilleggsinfo) Referanser:

--   noarksak (14.2.1)
alter table tilleggsinfo   add index(ti_said);
alter table tilleggsinfo   add foreign key(ti_said)         references noarksak(sa_id);

--   journpost (14.2.8)
alter table tilleggsinfo   add index(ti_jpid);
alter table tilleggsinfo   add foreign key(ti_jpid)         references journpost(jp_id);

--   dokversjon (14.3.3)
alter table tilleggsinfo   add index(ti_dokver);
alter table tilleggsinfo   add foreign key(ti_dokver)       references dokversjon(ve_versjon);

--   dokversjon (14.3.3)
alter table tilleggsinfo   add index(ti_variant);
alter table tilleggsinfo   add foreign key(ti_variant)      references dokversjon(ve_variant);

--   infotype (14.2.32)
alter table tilleggsinfo   add index(ti_itype);
alter table tilleggsinfo   add foreign key(ti_itype)        references infotype(it_kode);

--   tgkode (14.5.8)
alter table tilleggsinfo   add index(ti_tgkode);
alter table tilleggsinfo   add foreign key(ti_tgkode)       references tgkode(tk_tgkode);

--   tggruppe (14.5.12)
alter table tilleggsinfo   add index(ti_tggruppe);
alter table tilleggsinfo   add foreign key(ti_tggruppe)     references tggruppe(tg_gruppeid);






