-- -------------------------------------------------------------------
-- $Id: modul_14.2_arkivstyring_referanser.sql,v 1.1 2003/06/25 
-- -------------------------------------------------------------------
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- 
-- Sletting av referanser vil bare virke med MySQL > 4.0.13
--   ALTER TABLE yourtablename DROP FOREIGN KEY fk_symbol
-- -------------------------------------------------------------------

-- 14.2.1 Sak (noarksak) Referanser:

--   sakstatus  (14.2.5)

alter table noarksak       DROP FOREIGN KEY (sa_status);

--   arkivdel  (14.4.7)

alter table noarksak       DROP FOREIGN KEY (sa_arkdel);

--   sakstype  (14.2.6)

alter table noarksak       DROP FOREIGN KEY (sa_type);

--   journenhet (14.4.12)

alter table noarksak       DROP FOREIGN KEY (sa_jenhet);

--   ordnprins (14.4.8)

alter table noarksak       DROP FOREIGN KEY (sa_opsaksdel);

--   admindel (14.4.1)

alter table noarksak       DROP FOREIGN KEY (sa_admid);

--   pernavn (14.5.2)

alter table noarksak       DROP FOREIGN KEY (sa_ansvid);


alter table noarksak       DROP FOREIGN KEY (sa_utltil);

--   tghjemmel (14.5.9)

alter table noarksak       DROP FOREIGN KEY (sa_tgkode);

--   tggruppe (14.5.12)

alter table noarksak       DROP FOREIGN KEY (sa_tggruppe);

--   tggruppe (14.2.7)

alter table noarksak       DROP FOREIGN KEY (sa_kasskode);






-- 14.2.2 Jevnfr sak (JFSAK) Referanser:

--   noarksak (14.2.1)

alter table jfsak          DROP FOREIGN KEY (jf_fsaid);

--   journpost (14.2.8)

alter table jfsak          DROP FOREIGN KEY (jf_fjpid);

--   noarksak (14.2.1)

alter table jfsak          DROP FOREIGN KEY (jf_tsaid);

--   journpost (14.2.8)

alter table jfsak          DROP FOREIGN KEY (jf_tjpid);

--   presedens (14.2.18)

alter table jfsak          DROP FOREIGN KEY (jf_tpsid);




-- 14.2.3 Klassering (klassering) Referanser:

--   noarksak  (14.2.1)

alter table klassering     DROP FOREIGN KEY (kl_said);

--   ordnprins (14.4.8)

alter table klassering     DROP FOREIGN KEY (kl_ordnpri);

--   ordnverdi (14.4.9)
--     T: Fikk ikke denne inn. Vet ikke hvorfor.

alter table klassering     DROP FOREIGN KEY (kl_ordnver);







-- 14.2.4 Part i sak (sakspart) Referanser:

--   noarksak  (14.2.1)

alter table sakspart       DROP FOREIGN KEY (sp_said);

--   adressekp  (14.2.23)
--     T: fikk ikke inn denne. Vet ikke hvofor.

alter table sakspart       DROP FOREIGN KEY (sp_kortnavn);

--   postnr (14.2.26)

alter table sakspart       DROP FOREIGN KEY (sp_postnr);






-- 14.2.6 Sakstype  Referanser:

--   utvsaktyp (14.6.16)

alter table sakstype       DROP FOREIGN KEY (st_utvalgstype);








-- 14.2.8 Journalpost (journpost)  Referanse:

--   noarksak (14.2.1)

alter table journpost      DROP FOREIGN KEY (jp_said);

--   noarkdoktype (14.2.11)

alter table journpost      DROP FOREIGN KEY (jp_ndoktype);

--   journstatus (14.2.12)

alter table journpost      DROP FOREIGN KEY (jp_status);

--   tghjemmel (14.5.9)

alter table journpost      DROP FOREIGN KEY (jp_tgkode);

--   avgradkode (14.2.14)

alter table journpost      DROP FOREIGN KEY (jp_agkode);

--   tggruppe (14.5.12)

alter table journpost      DROP FOREIGN KEY (jp_tggruppe);

--   ordnverdi (14.4.9)
--     Har fremdeles problem med fremmednker her.

alter table journpost      DROP FOREIGN KEY (jp_saksdel);

--   tlkode (14.5.8)

alter table journpost      DROP FOREIGN KEY (jp_tlkode);

--   pernavn (14.5.2)

alter table journpost      DROP FOREIGN KEY (jp_utltil);







-- 14.2.9 Avsender/Mottaker (avsmot) Referanser:

--   adressekp (14.2.23)

alter table avsmot         DROP FOREIGN KEY (am_kortnavn);

--   postnr (14.2.26)

alter table avsmot         DROP FOREIGN KEY (am_postnr);

--   admindel 14.4.1)

alter table avsmot         DROP FOREIGN KEY (am_admid);

--   pernavn (14.5.2)

alter table avsmot         DROP FOREIGN KEY (am_sbhid);

--   journenhet (14.4.12)

alter table avsmot         DROP FOREIGN KEY (am_jenhet);

--   avskrmaate (14.2.15)

alter table avsmot         DROP FOREIGN KEY (am_avskm);

--   forsmaate (14.2.16)

alter table avsmot         DROP FOREIGN KEY (am_forsend);

--   fstatus  (14.2.17)

alter table avsmot         DROP FOREIGN KEY (am_fsstatus);








-- 14.2.18 Presedens (presedens) Referanser:

--   noarksak (14.2.1)

alter table presedens      DROP FOREIGN KEY (ps_said);

--   journpost (14.2.8)

alter table presedens      DROP FOREIGN KEY (ps_jpid);

--   sakstype (14.2.6)

alter table presedens      DROP FOREIGN KEY (ps_type);

--   admindel (14.4.1)

alter table presedens      DROP FOREIGN KEY (ps_admid);

--   tgkode (14.5.8)

alter table presedens      DROP FOREIGN KEY (ps_tgkode);

--   tggruppe (14.5.12)

alter table presedens      DROP FOREIGN KEY (ps_tggruppe);







-- 14.2.21 Lov/forskriftsreferanse presendens (lfpresedens) - Referanser:

--   presedens (14.2.18)

alter table lfpresedens    DROP FOREIGN KEY (pl_psid);

--   lfkoder (14.2.22)

alter table lfpresedens    DROP FOREIGN KEY (pl_lovforsk);


 



-- 14.2.23 Adresseregister (adressekp) Referanser:

--   adressekp (14.2.23)

alter table adressekp      DROP FOREIGN KEY (ak_overord);

--   adrtype (14.2.25)

alter table adressekp      DROP FOREIGN KEY (ak_type);

--   postnr (14.2.26)

alter table adressekp      DROP FOREIGN KEY (ak_postnr);

--   tggruppe (14.5.12)

alter table adressekp     DROP FOREIGN KEY (ak_tggruppe);


alter table adressekp     DROP FOREIGN KEY (ak_opdgruppe);






-- 14.2.24 Adressegruppemedlem (medladrgr) Referanser:

--   adressekp (14.2.23)

alter table medladrgr      DROP FOREIGN KEY (mg_grid);

--   adressekp (14.2.23)

alter table medladrgr      DROP FOREIGN KEY (mg_medlid);



-- 14.2.27 Autorisasjon for korrespondansepart (kpautoris)  Referanser:

--   adressekp (14.2.23)

alter table kpautoris      DROP FOREIGN KEY (ka_adrid);

--   tgkode  (14.5.8)

alter table kpautoris      DROP FOREIGN KEY (ka_tgkode);

--   person  (14.5.1)

alter table kpautoris      DROP FOREIGN KEY (ka_autav);





-- 14.2.28 Sertifikat (digisert)  Referanser:

--   adressekp  (14.2.23)

alter table digisert       DROP FOREIGN KEY (se_adrid);

--   person  (14.5.1)

alter table digisert       DROP FOREIGN KEY (se_verav);





-- 14.2.29 Utvekslingsformat ved korrespondanse (kpformat) Referanse:

--   adressekp (14.2.23)

alter table kpformat       DROP FOREIGN KEY (kf_adrid);

--   lagrformat (14.3.13) 

alter table kpformat       DROP FOREIGN KEY (kf_format);






-- 14.2.30 Merknad (merknad) Referanser:

--   noarksak (14.2.1)

alter table merknad        DROP FOREIGN KEY (me_said);

--   journpost (14.2.8) 

alter table merknad        DROP FOREIGN KEY (me_jpid);

--   dokversjon (14.3.3) 

alter table merknad        DROP FOREIGN KEY (me_dokver);

--   dokversjon (14.3.3)

alter table merknad        DROP FOREIGN KEY (me_variant);

--   infotype (14.2.32)

alter table merknad        DROP FOREIGN KEY (me_itype);

--   tgkode (14.5.8)

alter table merknad        DROP FOREIGN KEY (me_tgkode);

--   tggruppe (14.5.12)

alter table merknad        DROP FOREIGN KEY (me_tggruppe);




-- 14.2.31 Tileggsinformasjon (tilleggsinfo) Referanser:

--   noarksak (14.2.1)

alter table tilleggsinfo   DROP FOREIGN KEY (ti_said);

--   journpost (14.2.8)

alter table tilleggsinfo   DROP FOREIGN KEY (ti_jpid);

--   dokversjon (14.3.3)

alter table tilleggsinfo   DROP FOREIGN KEY (ti_dokver);

--   dokversjon (14.3.3)

alter table tilleggsinfo   DROP FOREIGN KEY (ti_variant);

--   infotype (14.2.32)

alter table tilleggsinfo   DROP FOREIGN KEY (ti_itype);

--   tgkode (14.5.8)

alter table tilleggsinfo   DROP FOREIGN KEY (ti_tgkode);

--   tggruppe (14.5.12)

alter table tilleggsinfo   DROP FOREIGN KEY (ti_tggruppe);
