-- -------------------------------------------------------------------
-- $Id: modul_14.3_el_arkiv_referanser.sql 5 2005-09-29 13:55:16Z tm $
-- -------------------------------------------------------------------
-- 14.3 - Modul for elektronisk arkiv
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.3.1 Dokumentlink (doklink) Referanser:

--   doklinktilkn  (14.3.9)
alter table doklink        add index(dl_type);
alter table doklink        add foreign key(dl_type)         references doktilkn(dt_kode);





-- 14.3.2 Dokumentbeskrivelse (dokbeskriv) Referanser:

--   dokkategori  (14.3.10)
alter table dokbeskriv     add index(db_kategori);
alter table dokbeskriv     add foreign key(db_kategori)     references dokkategori(dk_kode);

--   dokstatus  (14.3.11)
alter table dokbeskriv     add index(db_status);
alter table dokbeskriv     add foreign key(db_status)       references dokstatus(ds_status);

--   pernavn  (14.5.2)
alter table dokbeskriv     add index(db_utarbav);
alter table dokbeskriv     add foreign key(db_utarbav)      references pernavn(pn_id);

--   tghjemmel  (14.5.9)
alter table dokbeskriv     add index(db_tgkode);
alter table dokbeskriv     add foreign key(db_tgkode)       references tghjemmel(th_tgkode);

--   avgradkode  (14.2.14)
alter table dokbeskriv     add index(db_agkode);
alter table dokbeskriv     add foreign key(db_agkode)       references avgradkode(ag_kode);

--   tggruppe  (14.5.12)
alter table dokbeskriv     add index(db_tggruppe);
alter table dokbeskriv     add foreign key(db_tggruppe)     references tggruppe(tg_gruppeid);





-- 14.3.3 Versjon (dokversjon)  Referanser:

--   variantformat  (14.3.12)
alter table dokversjon     add index(ve_variant);
alter table dokversjon     add foreign key(ve_variant)      references variantformat(vf_kode);

--   lagrformat  (14.3.13)
alter table dokversjon     add index(ve_dokformat);
alter table dokversjon     add foreign key(ve_dokformat)    references lagrformat(lf_kode);

--   pernavn  (14.5.2)
alter table dokversjon     add index(ve_regav);
alter table dokversjon     add foreign key(ve_regav)        references pernavn(pn_id);

--   tgkode  (14.5.8)
alter table dokversjon     add index(ve_tgkode);
alter table dokversjon     add foreign key(ve_tgkode)       references tgkode(tk_tgkode);





-- 14.3.4 Digital signatur (digisign)  Referanser:

--   person  (14.5.1)
alter table digisign       add index(di_sigverav);
alter table digisign       add foreign key(di_sigverav)    references person(pe_id);





-- 14.3.5 Emneord/stikkord dokument (eodokument)  Referanser:

--   emneord  (14.3.6)
alter table eodokument     add index(ed_ord);
alter table eodokument     add foreign key(ed_ord)          references emneord(eo_emneord);




--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.3  2003/06/30 14:31:36  tm
-- Diverse feilrett.
--
-- Revision 1.2  2003/06/30 11:48:33  tm
-- Nye versjoner av alt mulig fra Rune. Ikke gjennomgtt enn.
--
-- Revision 1.1  2003/06/??  tm
--
--

