-- -------------------------------------------------------------------
-- $Id: modul_14.3_el_arkiv_tabeller.sql 5 2005-09-29 13:55:16Z tm $
-- -------------------------------------------------------------------
-- 14.3 - Modul for elektronisk arkiv
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 4, 20, 35, 47, 62, 78 
-- ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.3.1 Dokumentlink (doklink)
drop table if exists doklink;

create table doklink(
    dl_jpid         int(10)        null,                    -- O2
    dl_rnr          int(4)         null,                    -- O2
    dl_dokid        int(10)        null,    		    -- O2
    dl_type         varchar(2)     null,    		    -- O2
    dl_tkdato       date           null,    		    -- O2
    dl_tkav         int(10)        null,                    -- O2
    primary key (dl_jpid, dl_rnr)       
)Engine=InnoDB; 


-- 14.3.2 Dokumentbeskrivelse (dokbeskriv)
drop table if exists dokbeskriv;

create table dokbeskriv(
    db_dokid        int(10)        not null    primary key, -- O2
    db_kategori     varchar(10)    null,    		    -- O2
    db_tittel       text           null,		    -- O2
    db_papir        bool           null,    		    -- O2
    db_lokpapir     text           null,		    -- O2
    db_status       varchar(2)     null,    		    -- O2
    db_utarbav      int(10)        null,		    -- O2
    db_tgkode       varchar(2)     null,		    -- O2
    db_uoff         varchar(16)    null,		    -- O2
    db_agdato       date           null,		    -- O2
    db_agkode       varchar(2)     null,		    -- O2
    db_tggruppe     int(10)        null                     -- O2
)Engine=InnoDB;


-- 14.3.3 Versjon (dokversjon)
drop table if exists dokversjon;

create table dokversjon(
    ve_dokid        int(10)        not null,                -- O2
    ve_versjon      int(5)         null,    		    -- O2
    ve_variant      varchar(2)     null,    		    -- O2
    ve_aktiv        bool           null,     		    -- O2
    ve_dokformat    varchar(10)    null,     		    -- O2
    ve_regav        int(10)        null,		    -- O2
    ve_oppbedato    date           null,		    -- O2
    ve_tgkode       varchar(2)     null,		    -- O2
    ve_arkmerk      text           null,		    -- A
    ve_lagrenh      varchar(10)     null,		    -- O2
    ve_filref       text           null,                    -- O2
    primary key (ve_dokid, ve_versjon, ve_variant),
    index(ve_versjon),
    index(ve_variant)
)Engine=InnoDB;


-- 14.3.4 Digital signatur (digisign)
drop table if exists digisign;

create table digisign(
    di_dokid        int(10)        not null,                -- E1
    di_versjon      int(5)         null,    		    -- E1
    di_variant      varchar(2)     null,    		    -- E1
    di_signnr       int(4)         null,    		    -- E1
    di_doksign      bool           null,     		    -- E1
    di_arksign      bool           null,     		    -- E1
    di_forsign      bool           null,    		    -- E1
    di_sigverav     int(10)        null,     		    -- E1
    di_sigverdato   date           null,    		    -- E1
    di_signtekst    text           null,    		    -- E1
    di_signatur     blob           null,                    -- A
    primary key (di_dokid, di_versjon, di_variant, di_signnr)
)Engine=InnoDB;



-- 14.3.5 Emneord/stikkord dokument (eodokument)
drop table if exists eodokument;

create table eodokument(
    ed_dokid        int(10)        not null,                -- A
    ed_sordflagg    bool           null,    		    -- A
    ed_ord          varchar(70)    null,                    -- A
    primary key (ed_dokid, ed_ord)
)Engine=InnoDB;


-- 14.3.6 Standard emneord (emneord)
drop table if exists emneord;

create table emneord(
    eo_emneord      varchar(70)    not null    primary key  -- A
)Engine=InnoDB;


-- 14.3.7 Emneordhenvisning (eohenv)
drop table if exists eohenv;

create table eohenv(
    es_emneord1     varchar(70)    not null,                -- A
    es_emneord2     varchar(70)    not null,                -- A
    primary key (es_emneord1, es_emneord2)
)Engine=InnoDB;


-- 14.3.8 Emneordhierarki (eohierarki)
drop table if exists eohierarki;

create table eohierarki(
    eh_emneord1     varchar(70)    not null,                -- A
    eh_emneord2     varchar(70)    not null,                -- A
    primary key (eh_emneord1, eh_emneord2)
)Engine=InnoDB;


-- 14.3.9 Dokumenttilknytning (doktilkn)
drop table if exists doktilkn;

create table doktilkn(
    dt_kode         varchar(2)     not null    primary key, -- O2
    dt_betegn       varchar(70)    null,    		    -- O2
    dt_journal      bool           null,    		    -- O2
    dt_motedok      bool           null                     -- U
)Engine=InnoDB;


-- 14.3.10 Dokumentkategori (dokkategori)
drop table if exists dokkategori;

create table dokkategori(
    dk_kode         varchar(10)    not null    primary key, -- O2
    dk_betegn       varchar(70)    null                     -- O2
)Engine=InnoDB;


-- 14.3.11 Dokumentstatus (dokstatus)
drop table if exists dokstatus;

create table dokstatus(
    ds_status       varchar(2)     not null    primary key, -- O2
    ds_betegn       varchar(70)    null                     -- O2
)Engine=InnoDB;


-- 14.3.12 Variantformat (variantformat)
drop table if exists variantformat;

create table variantformat(
    vf_kode         varchar(2)     not null    primary key, -- O2
    vf_betegn       varchar(70)    null                     -- O2
)Engine=InnoDB;


-- 14.3.13 Lagringsformat (lagrformat)
drop table if exists lagrformat;

create table lagrformat(
    lf_kode         varchar(10)    not null    primary key, -- O2
    lf_beskriv      varchar(70)    null,    		    -- O2
    lf_arkiv        bool           null,    		    -- O2
    lf_filtype      varchar(10)    null                     -- O2
)Engine=InnoDB;


-- 14.3.14 Lagringsenhet (lagrenhet)
drop table if exists lagrenhet;

create table lagrenhet(
    la_kode         varchar(10)    not null    primary key, -- O2
    la_beskriv      varchar(70)    null                     -- O2
)Engine=InnoDB;


--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.3  2005/06/02 14:47:59  tm
-- OBS: Endret NOT NULL reglene til kun ågjelde for K(O)-krav _uansett
-- hva kravspesifikasjonen sier. Sjekk ut revisjonen fr denne hvis du
-- nsker tabeller med NOT NULL satt overalt ihht. kravspekk.
--
-- Revision 1.2  2005/02/23 14:35:50  elark
-- Added flags
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.3  2003/06/30 14:31:36  tm
-- Diverse feilrett.
--
-- Revision 1.2  2003/06/30 11:48:33  tm
-- Nye versjoner av alt mulig fra Rune. Ikke gjennomgtt enn.
--
-- Revision 1.1  2003/06/25 13:26:48  tm
-- Frste registrering av modul 2.3 Elektronisk arkiv. Jeg har bare svart
-- p sprsml, ikke sjekket syntaks i alle tabeller grundig.
--
-- Revision 1.1  2003/06/??  tm
--
--

