-- -------------------------------------------------------------------
-- $Id: modul_14.4_adm_opp_ark_referanser.sql 328 2005-11-11 08:19:48Z tm $
-- -------------------------------------------------------------------
-- 14.4 - Modul for administrativ oppbygging og arkivstruktur
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.4.1 Administrativ inndeling (admindel) Referanser:

--   admindel  (14.4.1)
alter table admindel       add index(ai_idfar);
alter table admindel       add foreign key(ai_idfar)        references admindel(ai_id);

--   enhetstype  (14.4.4)
alter table admindel       add index(ai_type);
alter table admindel       add foreign key(ai_type)         references enhetstype(et_kode);



-- 14.4.2 Alias for administrativ enhet (aliasadmenh)  Referanser:

--   admindel  (14.4.1)
alter table aliasadmenh    add index(al_admidfra);
alter table aliasadmenh    add foreign key(al_admidfra)      references admindel(ai_id);

alter table aliasadmenh    add index(al_admidtil);
alter table aliasadmenh    add foreign key(al_admidtil)     references admindel(ai_id);




-- 14.4.3 Adresse til administrativ enhet (adradmenh)  Referanser:

--   admindel  (14.4.1)
alter table adradmenh      add index(aa_admid);
alter table adradmenh      add foreign key(aa_admid)        references admindel(ai_id);

--   adressekp  (14.2.23)
alter table adradmenh      add index(aa_adrid);
alter table adradmenh      add foreign key(aa_adrid)        references adressekp(ak_adrid);





-- 14.4.5 Arkivperiode (arkivperiode)  Referanser:

--   arkiv  (14.4.6)
alter table arkivperiode   add index(ap_arkiv);
alter table arkivperiode   add foreign key(ap_arkiv)       references arkiv(ar_arkiv);

--   arstatus  (14.4.15) Hvis denne skal vre med, da.
alter table arkivperiode   add index (ap_status);
alter table arkivperiode   add foreign key (ap_status)     references arstatus(as_status);





-- 14.4.6 Arkiv (arkiv)  Referanser:

--   ordnprins  (14.4.8)
alter table arkiv          add index(ar_primnok);
alter table arkiv          add foreign key(ar_primnok)      references ordnprins(op_ordnpri);

--   numserie  (14.4.13)
alter table arkiv          add index(ar_numser);
alter table arkiv          add foreign key(ar_numser)       references numserie(nu_id);


-- 14.4.7 Arkivdel (arkivdel)  Referanser:

--   arkiv  (14.4.6)
alter table arkivdel       add index(ad_arkiv);
alter table arkivdel       add foreign key(ad_arkiv)        references arkiv(ar_arkiv);

--   arstatus  (14.4.15)
alter table arkivdel       add index(ad_astatus);
alter table arkivdel       add foreign key(ad_astatus)      references arstatus(as_status);

--   ordnprins  (14.4.8)
alter table arkivdel       add index(ad_primnok);
alter table arkivdel       add foreign key(ad_primnok)      references ordnprins(op_ordnpri);

--   bskode  (14.4.16)
alter table arkivdel       add index(ad_bskode);
alter table arkivdel       add foreign key(ad_bskode)       references bskode(bk_kode);

--   arkivdel  (14.4.7)
alter table arkivdel       add index(ad_forts);
alter table arkivdel       add foreign key(ad_forts)        references arkivdel(ad_arkdel);

--   numserie  (14.4.13)
alter table arkivdel       add index(ad_numser);
alter table arkivdel       add foreign key(ad_numser)       references numserie(nu_id);

--   ordnverdi  (14.4.9)
alter table arkivdel       add index(ad_primkod);
alter table arkivdel       add foreign key(ad_primkod)      references ordnverdi(ov_ordnver);

--   ordnprins  (14.4.8)
alter table arkivdel       add index(ad_seknok);
alter table arkivdel       add foreign key(ad_seknok)       references ordnprins(op_ordnpri);

--   person  (14.5.1)
alter table arkivdel       add index(ad_kontrav);
alter table arkivdel       add foreign key(ad_kontrav)      references person(pe_id);



-- 14.4.8 Ordningsprinsipp (ordnprins)  Referanser:

--   ordnprinstype  (14.4.7)
alter table ordnprins      add index(op_type);
alter table ordnprins      add foreign key(op_type)         references ordnprinstype(ot_kode);

--   ordnprins (14.4.8)
alter table ordnprins      add index(op_seknok);
alter table ordnprins      add foreign key(op_seknok)       references ordnprins(op_ordnpri);

--   tgkode  (14.5.8)
alter table ordnprins      add index(op_tgkode);
alter table ordnprins      add foreign key(op_tgkode)       references tgkode(tk_tgkode);





-- 14.4.9 Ordningsverdi (ordnverdi)  Referanser:

--   ordnprins  (14.4.8)
alter table ordnverdi      add index(ov_seknok);
alter table ordnverdi      add foreign key(ov_ordnpri)      references ordnprins(op_ordnpri);
alter table ordnverdi      add foreign key(ov_seknok)       references ordnprins(op_ordnpri);

--   arkivdel  (14.4.7)
alter table ordnverdi      add index(ov_arkdel);
alter table ordnverdi      add foreign key(ov_arkdel)       references arkivdel(ad_arkdel);

--   kasskode  (14.2.7)
alter table ordnverdi      add index(ov_kaskode);
alter table ordnverdi      add foreign key(ov_kaskode)     references kasskode(kk_kode);

--   tgkode  (14.5.8)
alter table ordnverdi      add index(ov_tgkode);
alter table ordnverdi      add foreign key(ov_tgkode)       references tgkode(tk_tgkode);





-- 14.4.10 Jf. ordningsverdi (jfordnver)  Referanser:

--   ordnprins  (14.4.8)
alter table jfordnver      add index(jo_ordnpri1);
alter table jfordnver      add foreign key(jo_ordnpri1)     references ordnprins(op_ordnpri);

alter table jfordnver      add index(jo_ordnpri2);
alter table jfordnver      add foreign key(jo_ordnpri2)     references ordnprins(op_ordnpri);

--   ordnverdi  (14.4.9)
alter table jfordnver      add index(jo_ordnver1);
alter table jfordnver      add foreign key(jo_ordnver1)     references ordnverdi(ov_ordnver);

alter table jfordnver      add index(jo_ordnver2);
alter table jfordnver      add foreign key(jo_ordnver2)     references ordnverdi(ov_ordnver);



-- 14.4.11 Stikkord/emneord ordningsverdi (earkkode) Referanser:

--   emneord  (14.3.6)
alter table earkkode       add index(ea_ord);
alter table earkkode       add foreign key(ea_ord)          references emneord(eo_emneord);



-- 14.4.12 Journalenhet (journenhet) Referanser:

--   journstatus  (14.2.12)
alter table journenhet     add index(je_jsarkiv1);
alter table journenhet     add foreign key(je_jsarkiv1)     references journstatus(js_status);

alter table journenhet     add index(je_jsarkiv2);
alter table journenhet     add foreign key(je_jsarkiv2)     references journstatus(js_status);

alter table journenhet     add index(je_jssaksbh1);
alter table journenhet     add foreign key(je_jssaksbh1)    references journstatus(js_status);

alter table journenhet     add index(je_jssaksbh2);
alter table journenhet     add foreign key(je_jssaksbh2)    references journstatus(js_status);




-- 14.4.14 Relasjonen Journalenhet - Arkivdel (jenarkdel)  Referanser:

--   journenhet  (14.4.12)
alter table jenarkdel      add index(ja_jenhet);
alter table jenarkdel      add foreign key(ja_jenhet)       references journenhet(je_jenhet);

--   arkivdel  (14.4.7)
alter table jenarkdel      add index(ja_arkdel);
alter table jenarkdel      add foreign key(ja_arkdel)       references arkivdel(ad_arkdel);






