-- -------------------------------------------------------------------
-- $Id: modul_14.4_adm_opp_ark_referanser_slett.sql 5 2005-09-29 13:55:16Z tm $
-- -------------------------------------------------------------------
-- 14.4 - Modul for administrativ oppbygging og arkivstruktur
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.4.1 Administrativ inndeling (admindel) Referanser:

--   admindel  (14.4.1)

alter table admindel       DROP FOREIGN KEY (ai_idfar);

--   enhetstype  (14.4.4)

alter table admindel       DROP FOREIGN KEY (ai_type);



-- 14.4.2 Alias for administrativ enhet (aliasadmenh)  Referanser:

--   admindel  (14.4.1)

alter table aliasadmenh    DROP FOREIGN KEY (al_admidfra);


alter table aliasadmenh    DROP FOREIGN KEY (al_admidtil);




-- 14.4.3 Adresse til administrativ enhet (adradmenh)  Referanser:

--   admindel  (14.4.1)

alter table adradmenh      DROP FOREIGN KEY (aa_admid);

--   adressekp  (14.2.23)

alter table adradmenh      DROP FOREIGN KEY (aa_adrid);





-- 14.4.5 Arkivperiode (arkivperiode)  Referanser:

--   arkiv  (14.4.6)

alter table arkivperiode   DROP FOREIGN KEY (ap_arkiv);

--   arstatus  (14.4.15) Hvis denne skal vre med, da.

alter table arkivperiode   DROP FOREIGN KEY (ap_status);





-- 14.4.6 Arkiv (arkiv)  Referanser:

--   ordnprins  (14.4.8)

alter table arkiv          DROP FOREIGN KEY (ar_primnok);

--   numserie  (14.4.13)

alter table arkiv          DROP FOREIGN KEY (ar_numser);


-- 14.4.7 Arkivdel (arkivdel)  Referanser:

--   arkiv  (14.4.6)

alter table arkivdel       DROP FOREIGN KEY (ad_arkiv);

--   arstatus  (14.4.15)

alter table arkivdel       DROP FOREIGN KEY (ad_astatus);

--   ordnprins  (14.4.8)

alter table arkivdel       DROP FOREIGN KEY (ad_primnok);

--   bskode  (14.4.16)

alter table arkivdel       DROP FOREIGN KEY (ad_bskode);

--   arkivdel  (14.4.7)

alter table arkivdel       DROP FOREIGN KEY (ad_forts);

--   numserie  (14.4.13)

alter table arkivdel       DROP FOREIGN KEY (ad_numser);

--   ordnverdi  (14.4.9)

alter table arkivdel       DROP FOREIGN KEY (ad_primkod);

--   ordnprins  (14.4.8)

alter table arkivdel       DROP FOREIGN KEY (ad_seknok);

--   person  (14.5.1)

alter table arkivdel       DROP FOREIGN KEY (ad_kontrav);



-- 14.4.8 Ordningsprinsipp (ordnprins)  Referanser:

--   ordnprinstype  (14.4.7)

alter table ordnprins      DROP FOREIGN KEY (op_type);

--   ordnprins (14.4.8)

alter table ordnprins      DROP FOREIGN KEY (op_seknok);

--   tgkode  (14.5.8)

alter table ordnprins      DROP FOREIGN KEY (op_tgkode);





-- 14.4.9 Ordningsverdi (ordnverdi)  Referanser:

--   ordnprins  (14.4.8)

alter table ordnverdi      DROP FOREIGN KEY (ov_seknok);

--   arkivdel  (14.4.7)

alter table ordnverdi      DROP FOREIGN KEY (ov_arkdel);

--   kasskode  (14.2.7)

alter table ordnverdi      DROP FOREIGN KEY (ov_kasskode);

--   tgkode  (14.5.8)

alter table ordnverdi      DROP FOREIGN KEY (ov_tgkode);





-- 14.4.10 Jf. ordningsverdi (jfordnver)  Referanser:

--   ordnprins  (14.4.8)

alter table jfordnver      DROP FOREIGN KEY (jo_ordnpri1);


alter table jfordnver      DROP FOREIGN KEY (jo_ordnpri2);

--   ordnverdi  (14.4.9)

alter table jfordnver      DROP FOREIGN KEY (jo_ordnver1);


alter table jfordnver      DROP FOREIGN KEY (jo_ordnver2);



-- 14.4.11 Stikkord/emneord ordningsverdi (earkkode) Referanser:

--   emneord  (14.3.6)

alter table earkkode       DROP FOREIGN KEY (ea_ord);



-- 14.4.12 Journalenhet (journenhet) Referanser:

--   journstatus  (14.2.12)

alter table journenhet     DROP FOREIGN KEY (je_jsarkiv1);


alter table journenhet     DROP FOREIGN KEY (je_jsarkiv2);


alter table journenhet     DROP FOREIGN KEY (je_jssaksbh1);


alter table journenhet     DROP FOREIGN KEY (je_jssaksbh2);




-- 14.4.14 Relasjonen Journalenhet - Arkivdel (jenarkdel)  Referanser:

--   journenhet  (14.4.12)

alter table jenarkdel      DROP FOREIGN KEY (ja_jenhet);

--   arkivdel  (14.4.7)

alter table jenarkdel      DROP FOREIGN KEY (ja_arkdel);






