-- -------------------------------------------------------------------
-- $Id: modul_14.5_tilgang_brukeradm_referanser.sql 5 2005-09-29 13:55:16Z tm $
-- -------------------------------------------------------------------
-- 14.5 - Modul for tilgangsstyring og brukeradministrasjon
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.5.3 Adresse til person (adrperson)  Referanser:

--   person  (14.5.1)
alter table adrperson      add index(pa_peid);
alter table adrperson      add foreign key(pa_peid)         references person(pe_id);

--   adressekp  (14.2.23)
alter table adrperson      add index(pa_adrid);
alter table adrperson      add foreign key(pa_adrid)        references adressekp(ak_adrid);




-- 14.5.4 Person - Rolle (perrolle)  Referanser:

--   person  (14.5.1)
alter table perrolle       add index(pr_peid);
alter table perrolle       add foreign key(pr_peid)         references person(pe_id);

--   rolle  (14.5.6)
alter table perrolle       add index(pr_rolleid);
alter table perrolle       add foreign key(pr_rolleid)      references rolle(ro_rolleid);

--   admindel  (14.4.1)
alter table perrolle       add index(pr_admid);
alter table perrolle       add foreign key(pr_admid)        references admindel(ai_id);

--   journenhet  (14.4.12)
alter table perrolle       add index(pr_jenhet);
alter table perrolle       add foreign key(pr_jenhet)       references journenhet(je_jenhet);

--   arkivdel  (14.4.7)
alter table perrolle       add index(pr_arkdel);
alter table perrolle       add foreign key(pr_arkdel)       references arkivdel(ad_arkdel);





-- 14.5.5 Funger i rolle (fungrolle)  Referanser:

--   perrolle  (14.5.4)
alter table fungrolle      add index(fr_prid);
alter table fungrolle      add foreign key(fr_prid)         references perrolle(pr_id);

alter table fungrolle      add index(fr_fungprid);
alter table fungrolle      add foreign key(fr_fungprid)     references perrolle(pr_id);





-- 14.5.7 Tilgang til informasjon (tginfo)

--   person  (14.5.1)
alter table tginfo         add index(tj_peid);
alter table tginfo         add foreign key(tj_peid)         references person(pe_id);

--   journenhet  (14.4.12)
alter table tginfo         add index(tj_jenhet);
alter table tginfo         add foreign key(tj_jenhet)       references journenhet(je_jenhet);

--   admindel  (14.4.1)
alter table tginfo         add index(tj_admid);
alter table tginfo         add foreign key(tj_admid)           references admindel(ai_id);






-- 14.5.9 Hjemmel for tilgangskode (tghjemmel)

--   tgkode  (14.5.8)
alter table tghjemmel      add index(th_tgkode);
alter table tghjemmel      add foreign key(th_tgkode)       references tgkode(tk_tgkode);

--   avgradkode  (14.2.14)
alter table tghjemmel      add index(th_agkode);
alter table tghjemmel      add foreign key(th_agkode)       references avgradkode(ag_kode);






-- 14.5.10 Klarering for tilgangskode (perklarer)

--   person  (14.5.1)
alter table perklarer      add index(kt_peid);
alter table perklarer      add foreign key(kt_peid)         references person(pe_id);

alter table perklarer      add index(kt_klav);
alter table perklarer      add foreign key(kt_klav)         references person(pe_id);

alter table perklarer      add index(kt_klopphav);
alter table perklarer      add foreign key(kt_klopphav)     references person(pe_id);

--   tgkode  (14.5.8)
alter table perklarer      add index(kt_tgkode);
alter table perklarer      add foreign key(kt_tgkode)       references tgkode(tk_tgkode);






-- 14.5.11 Autorisasjon innen administrativ enhet (pertgkode)

--   person  (14.5.1)
alter table pertgkode      add index(pt_peid);
alter table pertgkode      add foreign key(pt_peid)         references person(pe_id);

alter table pertgkode      add index(pt_autav);
alter table pertgkode      add foreign key(pt_autav)        references person(pe_id);

alter table pertgkode      add index(pt_autoppav);
alter table pertgkode      add foreign key(pt_autoppav)     references person(pe_id);

--   tgkode  (14.5.8)
alter table pertgkode      add index(pt_tgkode);
alter table pertgkode      add foreign key(pt_tgkode)       references tgkode(tk_tgkode);

--   admindel  (14.4.1)
alter table pertgkode      add index(pt_admid);
alter table pertgkode      add foreign key(pt_admid)        references admindel(ai_id);






-- 14.5.12 Tilgangsgruppe (tggruppe)  Referanser:

--   person  (14.5.1)
alter table tggruppe       add index(tg_opprav);
alter table tggruppe       add foreign key(tg_opprav)       references person(pe_id);






-- 14.5.13 Medlemskap i tilgangsgruppe (tgmedlem)  Referanser:

--   person  (14.5.1)
alter table tgmedlem       add index(pg_peid);
alter table tgmedlem       add foreign key(pg_peid)         references person(pe_id);

alter table tgmedlem       add index(pg_innmav);
alter table tgmedlem       add foreign key(pg_innmav)       references person(pe_id);

alter table tgmedlem       add index(pg_utmav);
alter table tgmedlem       add foreign key(pg_utmav)        references person(pe_id);

--   tggruppe  (14.5.12)
alter table tgmedlem       add index(pg_gruppeid);
alter table tgmedlem       add foreign key(pg_gruppeid)     references tggruppe(tg_gruppeid);

--   perrolle  (14.5.4)
alter table tgmedlem       add index(pg_perrolid);
alter table tgmedlem       add foreign key(pg_perrolid)     references perrolle(pr_id);




--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.2  2003/06/30 15:43:45  tm
-- Fikset endel skrivefeil.
--
-- Revision 1.1  2003/06/30 11:49:46  tm
-- Nye versjoner av komplett NOARK database fra Rune ikke gjennomgtt enn.
--
-- Revision 1.3  2003/06/26 11:54:28  tm
-- Gjennomgang av de siste tabellene med svar p sprsml. Syntax ikke grundig
-- sjekket.
--
-- Revision 1.2  2003/06/19 14:12:25  tm
-- Manglet en fil.
-- 
--
