-- -------------------------------------------------------------------
-- $Id: modul_14.6_utvalgsbehandling_referanser.sql 409 2007-01-10 12:41:14Z tm $
-- -------------------------------------------------------------------
-- 14.6 - Modul for utvalgsbehandling
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------



-- 14.6.1 Utvalg (utvalg)  Referanser:

--   utvtype  (14.6.7) 
alter table utvalg         add index(ut_type);
alter table utvalg         add foreign key(ut_type)         references utvtype(uk_kode); 

--   admindel  (14.4.1)
alter table utvalg         add index(ut_admid);
alter table utvalg         add foreign key(ut_admid)        references admindel(ai_id);

--   adressekp  (14.2.23)
alter table utvalg         add index(ut_oppnav);
alter table utvalg         add foreign key(ut_oppnav)       references adressekp(ak_adrid);

--   utvalg  (14.6.1) 
alter table utvalg         add index(ut_oppnavutv);
alter table utvalg         add foreign key(ut_oppnavutv)    references utvalg(ut_id);

--   arkivdel  (14.4.7) 
alter table utvalg         add index(ut_arkdel);
alter table utvalg         add foreign key(ut_arkdel)       references arkivdel(ad_arkdel);

--   ordnverdi  (14.4.9) 
alter table utvalg         add index(ut_arkkode);
alter table utvalg         add foreign key(ut_arkkode)      references ordnverdi(ov_ordnver);

--   adressekp  (14.2.23)
alter table utvalg         add index(ut_adrid);
alter table utvalg         add foreign key(ut_adrid)        references adressekp(ak_adrid);

--   numserie  (14.4.13)
alter table utvalg         add index(ut_monumser);
alter table utvalg         add foreign key(ut_monumser)     references numserie(nu_id);




-- 14.6.2 Mte i utvalg (utvmote)  Referanser:

--   utvalg  (14.6.1) 
alter table utvmote        add index(mo_utvid);
alter table utvmote        add foreign key(mo_utvid)        references utvalg(ut_id);



-- 14.6.3 Utvalgsmedlem (utvmedlem)  Referanser:

--   utvalg  (14.6.1) 
alter table utvmedlem      add index(um_utvid);
alter table utvmedlem      add foreign key(um_utvid)        references utvalg(ut_id);

--   pernavn  (14.5.2)  
alter table utvmedlem      add index(um_pnid);
alter table utvmedlem      add foreign key(um_pnid)         references pernavn(pn_id);

--   utvmedlem  (14.6.3)  
alter table utvmedlem      add index(um_varafor);
alter table utvmedlem      add foreign key(um_varafor)      references utvmedlem(um_utvid);

--   utvmedlfunk  (14.6.8)  
alter table utvmedlem      add index(um_funk);
alter table utvmedlem      add foreign key(um_funk)         references utvmedlfunk(mk_kode);

--   adressekp  (14.2.23)
alter table utvmedlem      add index(um_repres);
alter table utvmedlem      add foreign key(um_repres)       references adressekp(ak_adrid);





-- 14.6.4 Frammte ved utvalgsmte (frammote)  Referanser:

--   utvmote  (14.6.2)  
alter table frammote       add index(fu_moid);
alter table frammote       add foreign key(fu_moid)         references utvmote(mo_id);

--   pernavn  (14.5.2) 
alter table frammote       add index(fu_pnid);
alter table frammote       add foreign key(fu_pnid)         references pernavn(pn_id);

--   utvmedlfunk  (14.6.8)  
alter table frammote       add index(fu_funk);
alter table frammote       add foreign key(fu_funk)         references utvmedlfunk(mk_kode);

--   utvmedlem  (14.6.3)  
alter table frammote       add index(fu_varafor);
alter table frammote       add foreign key(fu_varafor)      references utvmedlem(um_utvid);




-- 14.6.5 Mtedokument (utvmotedok)  Referanser:

--   utvalg  (14.6.1)
alter table utvmotedok     add index(md_utvid);
alter table utvmotedok     add foreign key(md_utvid)        references utvalg(ut_id);

--   utvmote  (14.6.2)
alter table utvmotedok     add index(md_moid);
alter table utvmotedok     add foreign key(md_moid)         references utvmote(mo_id);

--   utdoktyp  (14.6.17) 
alter table utvmotedok     add index(md_doktype);
alter table utvmotedok     add foreign key(md_doktype)      references utdoktyp(du_kode);

--   statusmdok  (14.6.9) 
alter table utvmotedok     add index(md_status);
alter table utvmotedok     add foreign key(md_status)       references statusmdok(ms_status);

--   ordnverdi  (14.4.9)  
alter table utvmotedok     add index(md_arkkode);
alter table utvmotedok     add foreign key(md_arkkode)      references ordnverdi(ov_ordnver);

--   admindel  (14.4.1)  
alter table utvmotedok     add index(md_admid);
alter table utvmotedok     add foreign key(md_admid)        references admindel(ai_id);

--   pernavn  (14.5.2)  
alter table utvmotedok     add index(md_sbhid);
alter table utvmotedok     add foreign key(md_sbhid)        references pernavn(pn_id);

--   tghjemmel  (14.5.9) 
alter table utvmotedok     add index(md_tgkode);
alter table utvmotedok     add foreign key(md_tgkode)       references tghjemmel(th_tgkode);

--   tggruppe  (14.5.12) 
alter table utvmotedok     add index(md_tggruppe);
alter table utvmotedok     add foreign key(md_tggruppe)     references tggruppe(tg_gruppeid);

--   avgradkode  (14.2.14)
alter table utvmotedok     add index(md_agkode);
alter table utvmotedok     add foreign key(md_agkode)       references avgradkode(ag_kode);
 
--   kasskode  (14.2.7)
alter table utvmotedok     add index(md_kasskode);
alter table utvmotedok     add foreign key(md_kasskode)     references kasskode(kk_kode);




-- 14.6.6 Dokumentlink mtedokument (motedoklink)  Referanser:

--   utvmotedok  (14.6.5)
alter table motedoklink    add index(ml_mdpid);
alter table motedoklink    add foreign key(ml_mdpid)        references utvmotedok(md_id);

--   dokbeskriv  (14.3.2) 
alter table motedoklink    add index(ml_dokid);
alter table motedoklink    add foreign key(ml_dokid)        references dokbeskriv(db_dokid);
 
--   doktilkn  (14.3.9)
alter table motedoklink    add index(ml_type);
alter table motedoklink    add foreign key(ml_type)         references doktilkn(dt_kode);
  
--   pernavn  (14.5.2)  
alter table motedoklink    add index(ml_tkav);
alter table motedoklink    add foreign key(ml_tkav)         references pernavn(pn_id);





-- 14.6.10 Utvalgssak (utvalgsak)

--   utvalg  (14.6.1)
alter table utvalgsak     add index(us_utvid);
alter table utvalgsak     add foreign key(us_utvid)        references utvalg(ut_id);
  
--   utvsaktyp  (14.6.16)
alter table utvalgsak      add index(us_sakstype);
alter table utvalgsak      add foreign key(us_sakstype)     references utvsaktyp(su_kode);
 
--   tghjemmel  (14.5.9) 
alter table utvalgsak      add index(us_tgkode);
alter table utvalgsak      add foreign key(us_tgkode)       references tghjemmel(th_tgkode);
 
--   tggruppe  (14.5.12) 
alter table utvalgsak      add index(us_tggruppe);
alter table utvalgsak      add foreign key(us_tggruppe)     references tggruppe(tg_gruppeid);

--   noarksak  (14.2.1)
alter table utvalgsak      add index(us_said);
alter table utvalgsak      add foreign key(us_said)         references noarksak(sa_id);
  
--   polsaksgang  (14.6.11) 
alter table utvalgsak      add index(us_polsgid);
alter table utvalgsak      add foreign key(us_polsgid)      references polsaksgang(sg_id);

--   journpost  (14.2.8) 
alter table utvalgsak      add index(us_jpid);
alter table utvalgsak      add foreign key(us_jpid)         references journpost(jp_id);





-- 14.6.11 Politisk saksgang (polsaksgang)

--   noarksak  (14.2.1)
alter table polsaksgang    add index(sg_said);
alter table polsaksgang    add foreign key(sg_said)         references noarksak(sa_id);

--   utvsaktyp  (14.6.16)
alter table polsaksgang    add index(sg_sakstype);
alter table polsaksgang    add foreign key(sg_sakstype)     references utvsaktyp(su_kode);

--   utvbehandling  (14.6.12)
alter table polsaksgang    add index(sg_sistevedt);
alter table polsaksgang    add foreign key(sg_sistevedt)    references utvbehandling(ub_id);




-- 14.6.12 Behandling av utvalgssak (utvbehandling)

--   utvalgsak  (14.6.12)
alter table utvbehandling  add index(ub_utsakid);
alter table utvbehandling  add foreign key(ub_utsakid)      references utvalgsak(us_id);

--   utvmote  (14.6.12)
alter table utvbehandling  add index(ub_moid);
alter table utvbehandling  add foreign key(ub_moid)         references utvmote(mo_id);

--   utvbehstat  (14.6.12)
alter table utvbehandling  add index(ub_behstatus);
alter table utvbehandling  add foreign key(ub_behstatus)    references utvbehstat(bs_status);

--   admindel  (14.6.12)
alter table utvbehandling  add index(ub_admid);
alter table utvbehandling  add foreign key(ub_admid)        references admindel(ai_id);

--   pernavn  (14.6.12)
alter table utvbehandling  add index(ub_sbhid);
alter table utvbehandling  add foreign key(ub_sbhid)        references pernavn(pn_id); 






-- 14.6.13 Behandlingsavhengighet (behavheng)

--   utvbehandling  (14.6.12)
alter table behavheng      add index(ba_ubid1);
alter table behavheng      add foreign key(ba_ubid1)        references utvbehandling(ub_id);





-- 14.6.14 Behandling/dokument (utvbehdok)

--   utvbehandling  (14.6.12)
alter table utvbehdok      add index(bd_behid);
alter table utvbehdok      add foreign key(bd_behid)        references utvbehandling(ub_id);

-- ##########
--   ukjent tablell  (14.6.12)???   bk_dokid
-- alter table ???            add index(??);
-- alter table ???            add foreign key(??)            references ?????;
--
-- ##########

--   noarkdoktype  (14.2.11)
alter table utvbehdok      add index(bd_ndoktype);
alter table utvbehdok      add foreign key(bd_ndoktype)     references noarkdoktype(nd_doktype);

--   statusmdok  (14.6.9)
alter table utvbehdok      add index(bd_status);
alter table utvbehdok      add foreign key(bd_status)       references statusmdok(ms_status);

--   journpost  (14.2.8)
alter table utvbehdok      add index(bd_jpid);
alter table utvbehdok      add foreign key(bd_jpid)         references journpost(jp_id);

--   utdoktyp  (14.6.17)
alter table utvbehdok      add index(bd_doktype);
alter table utvbehdok      add foreign key(bd_doktype)      references utdoktyp(du_kode);






-- 14.6.15 Sakskart / utvalgssakstype (utvsakskart)

--   utvalg  (14.6.1)
alter table utvsakskart    add index(sk_utvid);
alter table utvsakskart    add foreign key(sk_utvid)        references utvalg(ut_id);

--   utvsaktyp  (14.6.16)
alter table utvsakskart    add index(sk_sakstype);
alter table utvsakskart    add foreign key(sk_sakstype)     references utvsaktyp(su_kode);

--   numserie  (14.4.13)
alter table utvsakskart    add index(sk_numser);
alter table utvsakskart    add foreign key(sk_numser)       references numserie(nu_id);


--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.3  2003/07/01 10:34:19  tm
-- Siste rettelser og endringer.
--
-- Revision 1.2  2003/07/01 09:42:30  tm
-- Noen rettelser.
--
-- Revision 1.1  2003/06/30 11:49:46  tm
-- Nye versjoner av komplett NOARK database fra Rune ikke gjennomgtt enn.
--
-- Revision 1.1  2003/06/26 11:55:11  tm
-- Gjennomgang av tabeller og besvarelse av sprsml. Syntaks ikke sjekket.
--
-- Revision 1.2  2003/06/19 14:12:25  tm
--
