-- -------------------------------------------------------------------
-- $Id: modul_14.6_utvalgsbehandling_referanser_slett.sql 5 2005-09-29 13:55:16Z tm $
-- -------------------------------------------------------------------
-- 14.6 - Modul for utvalgsbehandling
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------



-- 14.6.1 Utvalg (utvalg)  Referanser:

--   utvtype  (14.6.7) 

alter table utvalg         DROP FOREIGN KEY (ut_type);

--   admindel  (14.4.1)

alter table utvalg         DROP FOREIGN KEY (ut_admid);

--   adressekp  (14.2.23)

alter table utvalg         DROP FOREIGN KEY (ut_oppnav);

--   utvalg  (14.6.1) 

alter table utvalg         DROP FOREIGN KEY (ut_oppnavutv);

--   arkivdel  (14.4.7) 

alter table utvalg         DROP FOREIGN KEY (ut_arkdel);

--   ordnverdi  (14.4.9) 

alter table utvalg         DROP FOREIGN KEY (ut_arkkode);

--   adressekp  (14.2.23)

alter table utvalg         DROP FOREIGN KEY (ut_adrid);

--   numserie  (14.4.13)

alter table utvalg         DROP FOREIGN KEY (ut_monumser);




-- 14.6.2 Mte i utvalg (utvmote)  Referanser:

--   utvalg  (14.6.1) 

alter table utvmote        DROP FOREIGN KEY (mo_utvid);



-- 14.6.3 Utvalgsmedlem (utvmedlem)  Referanser:

--   utvalg  (14.6.1) 

alter table utvmedlem      DROP FOREIGN KEY (um_utvid);

--   pernavn  (14.5.2)  

alter table utvmedlem      DROP FOREIGN KEY (um_pnid);

--   utvmedlem  (14.6.3)  

alter table utvmedlem      DROP FOREIGN KEY (um_varafor);

--   utvmedlfunk  (14.6.8)  

alter table utvmedlem      DROP FOREIGN KEY (um_funk);

--   adressekp  (14.2.23)

alter table utvmedlem      DROP FOREIGN KEY (um_repres);





-- 14.6.4 Frammte ved utvalgsmte (frammote)  Referanser:

--   utvmote  (14.6.2)  

alter table frammote       DROP FOREIGN KEY (fu_moid);

--   pernavn  (14.5.2) 

alter table frammote       DROP FOREIGN KEY (fu_pnid);

--   utvmedlfunk  (14.6.8)  

alter table frammote       DROP FOREIGN KEY (fu_funk);

--   utvmedlem  (14.6.3)  

alter table frammote       DROP FOREIGN KEY (fu_varafor);




-- 14.6.5 Mtedokument (utvmotedok)  Referanser:

--   utvalg  (14.6.1)

alter table utvmotedok     DROP FOREIGN KEY (md_utvid);

--   utvmote  (14.6.2)

alter table utvmotedok     DROP FOREIGN KEY (md_moid);

--   utdoktyp  (14.6.17) 

alter table utvmotedok     DROP FOREIGN KEY (md_doktype);

--   statusmdok  (14.6.9) 

alter table utvmotedok     DROP FOREIGN KEY (md_status);

--   ordnverdi  (14.4.9)  

alter table utvmotedok     DROP FOREIGN KEY (md_arkkode);

--   admindel  (14.4.1)  

alter table utvmotedok     DROP FOREIGN KEY (md_admid);

--   pernavn  (14.5.2)  

alter table utvmotedok     DROP FOREIGN KEY (md_sbhid);

--   tghjemmel  (14.5.9) 

alter table utvmotedok     DROP FOREIGN KEY (md_tgkode);

--   tggruppe  (14.5.12) 

alter table utvmotedok     DROP FOREIGN KEY (md_tggruppe);

--   avgradkode  (14.2.14)

alter table utvmotedok     DROP FOREIGN KEY (md_agkode);
 
--   kasskode  (14.2.7)

alter table utvmotedok     DROP FOREIGN KEY (md_kasskode);




-- 14.6.6 Dokumentlink mtedokument (motedoklink)  Referanser:

--   utvmotedok  (14.6.5)

alter table motedoklink    DROP FOREIGN KEY (ml_mdid);

--   dokbeskriv  (14.3.2) 

alter table motedoklink    DROP FOREIGN KEY (ml_dokid);
 
--   doktilkn  (14.3.9)

alter table motedoklink    DROP FOREIGN KEY (ml_type);
  
--   pernavn  (14.5.2)  

alter table motedoklink    DROP FOREIGN KEY (ml_tkav);





-- 14.6.10 Utvalgssak (utvalgsak)

--   utvalg  (14.6.1)

alter table utvalgsak     DROP FOREIGN KEY (us_utvid);
  
--   utvsaktyp  (14.6.16)

alter table utvalgsak      DROP FOREIGN KEY (us_sakstype);
 
--   tghjemmel  (14.5.9) 

alter table utvalgsak      DROP FOREIGN KEY (us_tgkode);
 
--   tggruppe  (14.5.12) 

alter table utvalgsak      DROP FOREIGN KEY (us_tggruppe);

--   noarksak  (14.2.1)

alter table utvalgsak      DROP FOREIGN KEY (us_said);
  
--   polsaksgang  (14.6.11) 

alter table utvalgsak      DROP FOREIGN KEY (us_polsgid);

--   journpost  (14.2.8) 

alter table utvalgsak      DROP FOREIGN KEY (us_jpid);





-- 14.6.11 Politisk saksgang (polsaksgang)

--   noarksak  (14.2.1)

alter table polsaksgang    DROP FOREIGN KEY (sg_said);

--   utvsaktyp  (14.6.16)

alter table polsaksgang    DROP FOREIGN KEY (sg_sakstype);

--   utvbehandling  (14.6.12)

alter table polsaksgang    DROP FOREIGN KEY (sg_sistevedt);




-- 14.6.12 Behandling av utvalgssak (utvbehandling)

--   utvalgsak  (14.6.12)

alter table utvbehandling  DROP FOREIGN KEY (ub_utsakid);

--   utvmote  (14.6.12)

alter table utvbehandling  DROP FOREIGN KEY (ub_moid);

--   utvbehstat  (14.6.12)

alter table utvbehandling  DROP FOREIGN KEY (ub_behstatus);

--   admindel  (14.6.12)

alter table utvbehandling  DROP FOREIGN KEY (ub_admid);

--   pernavn  (14.6.12)

alter table utvbehandling  DROP FOREIGN KEY (ub_sbhid);






-- 14.6.13 Behandlingsavhengighet (behavheng)

--   utvbehandling  (14.6.12)

alter table behavheng      DROP FOREIGN KEY (ba_ubid1);





-- 14.6.14 Behandling/dokument (utvbehdok)

--   utvbehandling  (14.6.12)

alter table utvbehdok      DROP FOREIGN KEY (bd_behid);

-- ##########
--   ukjent tablell  (14.6.12)???   bk_dokid

-- alter table ???            DROP FOREIGN KEY (??);
--
-- ##########

--   noarkdoktype  (14.2.11)

alter table utvbehdok      DROP FOREIGN KEY (bd_ndoktype);

--   statusmdok  (14.6.9)

alter table utvbehdok      DROP FOREIGN KEY (bd_status);

--   journpost  (14.2.8)

alter table utvbehdok      DROP FOREIGN KEY (bd_jpid);

--   utdoktyp  (14.6.17)

alter table utvbehdok      DROP FOREIGN KEY (bd_doktype);






-- 14.6.15 Sakskart / utvalgssakstype (utvsakskart)

--   utvalg  (14.6.1)

alter table utvsakskart    DROP FOREIGN KEY (sk_utvid);

--   utvsaktyp  (14.6.16)

alter table utvsakskart    DROP FOREIGN KEY (sk_sakstype);

--   numserie  (14.4.13)

alter table utvsakskart    DROP FOREIGN KEY (sk_numser);


--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.1  2005/02/25 12:21:01  tm
-- Lagde filer for  fjerne fremmednkler.
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.3  2003/07/01 10:34:19  tm
-- Siste rettelser og endringer.
--
-- Revision 1.2  2003/07/01 09:42:30  tm
-- Noen rettelser.
--
-- Revision 1.1  2003/06/30 11:49:46  tm
-- Nye versjoner av komplett NOARK database fra Rune ikke gjennomgtt enn.
--
-- Revision 1.1  2003/06/26 11:55:11  tm
-- Gjennomgang av tabeller og besvarelse av sprsml. Syntaks ikke sjekket.
--
-- Revision 1.2  2003/06/19 14:12:25  tm
--
