-- -------------------------------------------------------------------
-- $Id: modul_14.6_utvalgsbehandling_tabeller.sql 409 2007-01-10 12:41:14Z tm $
-- -------------------------------------------------------------------
-- 14.6 - Modul for utvalgsbehandling
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- Notes:
--   Bruk flgende tabulatorstoppere: 4, 20, 35, 47, 62, 78 
--   ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------



-- 14.6.1 Utvalg (utvalg)
drop table if exists utvalg;

create table utvalg(
    ut_id           int(10)        not null    primary key, -- U
    ut_kode         varchar(10)    null,                    -- U
    ut_navn         varchar(70)    null,    		    -- U
    ut_beskr        text           null,		    -- U
    ut_type         varchar(2)     null,		    -- U
    ut_admid        int(10)        null,    		    -- U
    ut_fradato      date           null,		    -- U
    ut_tildato      date           null,		    -- U
    ut_oppnav       int(10)        null,		    -- U
    ut_oppnavutv    int(10)        null, 		    -- U
    ut_oppndato     date           null,		    -- U
    ut_antmedl      int(3)         null,		    -- U
    ut_etablert     date           null,		    -- U
    ut_nedlagt      date           null,		    -- U
    ut_arkdel       varchar(10)    null,		    -- U
    ut_arkkode      varchar(70)    null,		    -- U
    ut_adrid        int(10)        null,		    -- /A/
    ut_monumser     int(10)        null,    		    -- U
    ut_moteform     varchar(30)    null,		    -- /U/
    ut_sammenr      bool           null                     -- /A/
)Engine=InnoDB;




-- 14.6.2 Mte i utvalg (utvmote)
drop table if exists utvmote;

create table utvmote(
    mo_id           int(10)        not null    primary key, -- U
    mo_forts        int(10)        null,		    -- U
    mo_nr           int(5)         null,		    -- U
    mo_utvid        int(10)        null,    		    -- U
    mo_lukket       bool           null,    		    -- U
    mo_uoff         varchar(70)    null,		    -- U
    mo_dato         date           null,		    -- U
    mo_start        time           null,		    -- /U/
    mo_slutt        time           null,		    -- /U/
    mo_sted         varchar(70)    null,		    -- /U/
    mo_rom          varchar(70)    null,		    -- /U/
    mo_frist        date           null,		    -- /U/
    mo_sakskart     bool           not null,		    -- /U/
    mo_protokoll    bool           not null,		    -- /U/
    mo_merknad      text           null                     -- U
)Engine=InnoDB;



-- 14.6.3 Utvalgsmedlem (utvmedlem)
drop table if exists utvmedlem;

create table utvmedlem(
    um_utvid        int(10)        not null,                -- U
    um_pnid         int(10)        not null,		    -- U
    um_rangering    int(3)         null,     		    -- U
    um_varafor      int(10)        null, 		    -- U
    um_funk         varchar(10)    null,    		    -- U
    um_fradato      date           null,		    -- U
    um_tildato      date           null,		    -- U
    um_sort         int(3)         null,    		    -- U1
    um_varighet     varchar(70)    null,		    -- U
    um_repres       int(10)        null,		    -- U
    um_sekr         bool           null,    		    -- U
    um_medlem       bool           null,    		    -- /U/
    um_merknad      text           null,                    -- U
    primary key (um_utvid, um_pnid, um_tildato) 
)Engine=InnoDB;



-- 14.6.4 Frammte ved utvalgsmte (frammote)
drop table if exists frammote;

create table frammote(
    fu_moid         int(10)        not null,                -- U
    fu_pnid         int(10)        not null,		    -- U
    fu_sort         int(3)         null,    		    -- U
    fu_funk         varchar(10)    null,    		    -- U
    fu_varafor      int(10)        null,		    -- U
    fu_sekr         bool           null,    		    -- U
    fu_merknad      text           null,                    -- U
    primary key (fu_moid, fu_pnid)
)Engine=InnoDB;



-- 14.6.5 Mtedokument (utvmotedok)
drop table if exists utvmotedok;

create table utvmotedok(
    md_id           int(10)        not null    primary key, -- U
    md_utvid        int(10)        null,    		    -- U
    md_moid         int(10)        null,    		    -- U
    md_doktype      varchar(2)     null,    		    -- U
    md_regdato      date           null,    		    -- U
    md_status       varchar(2)     null,    		    -- U
    md_arkkode      varchar(70)    null,    		    -- U
    md_papirdok     bool           null,    		    -- U
    md_innhold      text           null,    		    -- U
    md_u1           bool           null,		    -- U
    md_admid        int(10)        null,    		    -- U
    md_sbhid        int(10)        null,    		    -- U
    md_tgkode       varchar(2)     null,		    -- U
    md_tggruppe     int(10)        null,		    -- U
    md_uoff         varchar(70)    null,		    -- U
    md_agdato       date           null,		    -- U
    md_agkode       varchar(2)     null,		    -- U
    md_bevtid       int(4)         null,		    -- U
    md_kassdato     date           null,		    -- U
    md_kasskode     varchar(2)     null                     -- U
)Engine=InnoDB;



-- 14.6.6 Dokumentlink mtedokument (motedoklink)
drop table if exists motedoklink;

create table motedoklink(
    ml_mdpid        int(10)        not null,                 -- U
    ml_rnr          int(4)         not null,		     -- U
    ml_dokid        int(10)        null,     		     -- U
    ml_type         varchar(2)     null,    		     -- U
    ml_tkdato       date           null,    		     -- U
    ml_tkav         int(10)        null,                     -- U      
    primary key (ml_mdpid, ml_rnr) 
)Engine=InnoDB;



-- 14.6.7 Utvalgstype (utvtype)
drop table if exists utvtype;

create table utvtype(
    uk_kode         varchar(2)     not null    primary key, -- U
    uk_betegn       varchar(70)    null                     -- U
)Engine=InnoDB;



-- 14.6.8 Funksjon i utvalg (utvmedlfunk)
drop table if exists utvmedlfunk;

create table utvmedlfunk(
    mk_kode         varchar(10)    not null    primary key, -- U
    mk_betegn       varchar(70)    null,    		    -- U
    mk_tale         bool           null,    		    -- /U1/
    mk_medlem       bool           null,    		    -- /U1/
    mk_sekr         bool           null,    		    -- /U1/
    mk_fmkode       bool           null                     -- /U/
)Engine=InnoDB;




-- 14.6.9 Status for mtedokument (statusmdok)
drop table if exists statusmdok;

create table statusmdok(
    ms_status       varchar(2)     not null    primary key, -- U
    ms_betegn       varchar(70)    null                     -- U
)Engine=InnoDB;




-- 14.6.10 Utvalgssak (utvalgsak)
drop table if exists utvalgsak;

create table utvalgsak(
    us_utvid        int(10)        null,                    -- U
    us_id           int(10)        not null    primary key, -- U
    us_sakstype     varchar(10)    null,    		    -- U
    us_tittel       text           null,    		    -- U
    us_u1           bool           null,		    -- U
    us_lukket       bool           null,    		    -- U
    us_tgkode       varchar(2)     null,		    -- U
    us_tggruppe     int(10)        null,		    -- U
    us_uoff         varchar(70)    null,		    -- U
    us_sammenr      bool           null,     		    -- U
    us_merknad      text           null,		    -- A
    us_said         int(10)        null,    		    -- U
    us_polsgid      int(10)        null,		    -- U
    us_jpid         int(10)        null                     -- U
)Engine=InnoDB;




-- 14.6.11 Politisk saksgang (polsaksgang)
-- 
-- NOTES:
--   R: sg_sistevedt: hvilken tabell og hvilket felt ?
--   T: Jeg m innrmme at jeg ikke er helt sikker, men jeg tror den 
--      skal vise til utvbehandling(ub_id). spr Jon Atle.
--   R: Iflge Jon Atle skal den referere til utvbehandling(ub_id).
drop table if exists polsaksgang;

create table polsaksgang(
    sg_id           int(10)        not null    primary key, -- U
    sg_said         int(10)        null,    		    -- U
    sg_sakstype     varchar(10)    null,		    -- U
    sg_kladgang     bool           null,    		    -- U
    sg_lukket       bool           null,    		    -- U
    sg_uoff         varchar(70)    null,		    -- U
    sg_startdato    date           null,		    -- U
    sg_vedtdato     date           null,		    -- U
    sg_sistevedt    int(10)        null,		    -- U
    sg_merknad      text           null                     -- A
)Engine=InnoDB;



-- 14.6.12 Behandling av utvalgssak (utvbehandling)
drop table if exists utvbehandling;

create table utvbehandling(
    ub_id           int(10)        not null    primary key, -- U
    ub_utsakid      int(10)        null,    		    -- U
    ub_rfolge       int(3)         null,    		    -- U
    ub_moid         int(10)        null, 		    -- U
    ub_useknr       int(5)         null,		    -- U
    ub_aar          int(4)         null,		    -- U
    ub_behstatus    varchar(2)     null,    		    -- U
    ub_admid        int(10)        null,    		    -- U
    ub_sbhid        int(10)        null,    		    -- U
    ub_protokoll    bool           null                     -- U
)Engine=InnoDB;



-- 14.6.13 Behandlingsavhengighet (behavheng)
drop table if exists behavheng;

create table behavheng(
    ba_ubid1        int(10)        not null,                -- A
    ba_ubid2        int(10)        not null,                -- A
    primary key (ba_ubid1, ba_ubid2)
)Engine=InnoDB;



-- 14.6.14 Behandling/dokument (utvbehdok)
--
-- NOTES:
--   R: bd_dokid: hvilken tabell og hvilket felt ?
--      hvis bd_dokid skal vre en del av PK, m O-kolonnen inneholde "x", 
--      ikke "b". Man kan ikke ha NULL p et felt som er en del av PK.
--   T: Det er i seg selv ikke noe problem  ha et felt som er NULL s 
--      lenge det andre feltet er unikt alene. Nr det er sagt: mysql 
--      oversetter 'NULL' til 'NOT NULL DEFAULT 0' nr den ser at en 
--      verdi er endel av PRIMARY KEY. 
--      Men jeg syns definisjonen av primrnkkelen her er litt rar
--      siden dokumentet godt kan vre tilknyttet en journal ID, og ikke
--      bare et dokument ID. Hr med Jon Atle. Jeg ville redefinert
--      primrnkkelen til bde vre (bd_behid, bd_dokid, pd_jpid)
drop table if exists utvbehdok;

create table utvbehdok(
    bd_behid        int(10)        not null,                -- U
    bd_dokid        int(10)        not null, 		    -- U
    bd_ndoktype     varchar(1)     null,		    -- U
    bd_status       varchar(2)     null,    		    -- U
    bd_jpid         int(10)        null,		    -- U
    bd_doktype      varchar(2)     null,                    -- U
    primary key (bd_behid, bd_dokid)
)Engine=InnoDB;



-- 14.6.15 Sakskart / utvalgssakstype (utvsakskart)
--
-- NOTES:
--   R: Jeg formoder at PK skal vre (sk_utvid, sk_sakstype), ikke 
--      (sk_utvkode, sk_sakstype) ?
--   T: Det tror jeg ogs.
drop table if exists utvsakskart;

create table utvsakskart(
    sk_utvid        int(10)        not null,                -- /U1/
    sk_sakstype     varchar(10)    not null,		    -- /U1/
    sk_sort         int(3)         null,		    -- /U1/
    sk_tittel       text           null,		    -- /U1/
    sk_numser       int(10)        null,		    -- /U1/
    sk_numform      varchar(30)    null,		    -- /U1/
    sk_ovskr        bool           null,    		    -- /U1/
    sk_kunovskr     bool           null,    		    -- /U1/
    sk_utvsnr       bool           null,    		    -- /U1/
    sk_arksnr       bool           null,    		    -- /U1/
    sk_arksdnr      bool           null,    		    -- /U1/
    sk_dokih        bool           null,    		    -- /U1/
    sk_dokdato      bool           null,    		    -- /U1/
    sk_avs          bool           null,                    -- /U1/
    primary key(sk_utvid, sk_sakstype)
)Engine=InnoDB;



-- 14.6.16 Utvalgssakstype (utvsaktyp)
drop table if exists utvsaktyp;

create table utvsaktyp(
    su_kode         varchar(10)    not null    primary key, -- U
    su_betegn       varchar(70)    null                     -- U
)Engine=InnoDB;



-- 14.6.17 Dokumenttype for utvalgsbehandling (utdoktyp)
drop table if exists utdoktyp;

create table utdoktyp(
    du_kode         varchar(2)     not null    primary key, -- U
    du_betegn       varchar(70)    null,    		    -- U
    du_mal          varchar(70)    null,		    -- /U/
    du_ndoktype     varchar(1)     null,		    -- /U/
    du_motedok      bool           null,    		    -- /U/
    du_autojour     bool           null,    		    -- /U/
    du_aldrijour    bool           null                     -- /U/
)Engine=InnoDB;




-- 14.6.18 Behandlinsstauts (utvbehstat)
drop table if exists utvbehstat;

create table utvbehstat(
    bs_status       varchar(2)     not null    primary key, -- /U/
    bs_betegn       varchar(70)    null,    		    -- /U/
    bs_koloste      bool           null,    		    -- /U/
    bs_kanskart     bool           null,    		    -- /U/
    bs_sakskart     bool           null,    		    -- /U/
    bs_behandlet    bool           null,    		    -- /U/
    bs_srot1        int(3)         null                     -- /U/
)Engine=InnoDB;



--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.6  2005/06/02 14:47:59  tm
-- OBS: Endret NOT NULL reglene til kun ågjelde for K(O)-krav _uansett
-- hva kravspesifikasjonen sier. Sjekk ut revisjonen fr denne hvis du
-- nsker tabeller med NOT NULL satt overalt ihht. kravspekk.
--
-- Revision 1.5  2005/03/01 10:27:24  elark
-- bugfixes
--
-- Revision 1.4  2005/02/28 12:41:14  elark
-- Added italic to "krav type" where appropriate
--
-- Revision 1.3  2005/02/28 10:16:23  elark
-- Added "krav type" spesification to the attributes
--
-- Revision 1.2  2004/12/14 12:11:43  elark
-- Feilfikset sqlfiler og rensrekv createdb
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.5  2003/07/01 10:34:19  tm
-- Siste rettelser og endringer.
--
-- Revision 1.4  2003/07/01 09:42:30  tm
-- Noen rettelser.
--
-- Revision 1.3  2003/06/30 14:31:36  tm
-- Diverse feilrett.
--
-- Revision 1.2  2003/06/30 12:28:01  tm
-- Rettet skrivefeil.
--
-- Revision 1.1  2003/06/30 11:49:46  tm
-- Nye versjoner av komplett NOARK database fra Rune ikke gjennomgtt enn.
--
-- Revision 1.1  2003/06/26 11:55:11  tm
-- Gjennomgang av tabeller og besvarelse av sprsml. Syntaks ikke sjekket.
--
-- Revision 1.2  2003/06/19 14:12:25  tm
--
