#!/usr/bin/perl
#------------------------------------------------------------------------
# $Id: 012.noark_error_xmlmissingmandatoryattribute.t 671 2011-06-16 08:44:21Z tm $
#------------------------------------------------------------------------
use strict;
use warnings;

use Test::More tests => 10;
BEGIN { use_ok 'Noark::Error::XMLMissingMandatoryAttribute'; }


my $error = Noark::Error::XMLMissingMandatoryAttribute->new();
isa_ok($error, 'Noark::Error::XMLMissingMandatoryAttribute');

ok($error->add_attributes('SA.ID',     14));
ok($error->add_attributes('SA.ID',     28));
ok($error->add_attributes('SA.BETEGN', 39));

ok(!$error->add_attributes());
ok(!$error->add_attributes('SA.ID'));

is($error->get_name(),"Obligatoriske elementer mangler" , "test av name");
is($error->get_text(), "Obligatoriske elementer i henhold til NOARK-4.1 mangler:", "test Av tekst");

# use Data::Dumper;

is_deeply($error->get_attributes(), [{'SA.ID' => 14},{'SA.ID' => 28},{'SA.BETEGN' => 39}]);

