#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 7;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::MissingFile');
}

my $err = Noark::Error::MissingFile->new();

isa_ok($err, 'Noark::Error::MissingFile');

ok($err->add_line({
    file => 'JOURNPOS.XML',
    line => 165,
   }), "Testing add_line"
);
ok($err->add_line({
    file => 'ARKIVDEL.XML',
    line => 278,
   }), "Testing add_line"
);


# print Dumper $err->{__keys};

is_deeply(
    $err->{__keys}, {
        '165' => {
            'JOURNPOS.XML' => {}
           },
        '278' => {
            'ARKIVDEL.XML' => {}
           }
    },
    " Testing keys"
);
 

can_ok($err, qw|to_text|);
my $expect_to_text = <<BAM;
    2.1.1. Finner ikke fil i avlevering

    Vi kunne ikke finne flere av filene som ble nevnt i NOARKIH. Filnavnene 
    er: 

      'JOURNPOS.XML' i TABELLINFO p linje 165.
      'ARKIVDEL.XML' i TABELLINFO p linje 278.
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
