#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 6;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::FileCase');
}

my $err = Noark::Error::FileCase->new();

isa_ok($err, 'Noark::Error::FileCase');

ok($err->add_line({
     file => 'Journpst.xml',
     line         => 165,
 }), "Testing add_line"
);
ok($err->add_line({
     file => 'hattifnatt.xml',
     line         => 1657,
 }), "Testing add_line"
);

can_ok($err, qw|to_text|);
my $expect_to_text = <<BAM;
    2.1.1. Feil med filnavn

    Alle filnavn i Noark-4.1 skal vre angitt med store bokstaver. 

    Arkivsystemet m utbedres slik at alle filnavn i eksporten blir skrevet 
    med store bokstaver. Dette gjelder: 

      'Journpst.xml' i TABELLINFO p linje 165.
      'hattifnatt.xml' i TABELLINFO p linje 1657.
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
