#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 6;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::WrongFilename');
}

my $err = Noark::Error::WrongFilename->new();

isa_ok($err, 'Noark::Error::WrongFilename');

ok($err->add_line({
     noarkih_file => 'JOURNALPOST.XML',
     deposit_file => 'JOURNALPOST.XML',
     line         => 165,
 }), "Testing add_line"
);
ok($err->add_line({
     noarkih_file => 'hattifnatt.xml',
     deposit_file => 'hattifnatt.xml',
     line         => 1657,
 }), "Testing add_line"
);

can_ok($err, qw|to_text|);

# print $err->to_text("2.1.1.", 4);
# exit;
my $expect_to_text = <<BAM;
    2.1.1. Filnavn har feil lengde

    Flere filnavn i avleveringen er lenger enn 8.3 tegn. Jamfr NOARK-4.1 
    krav K15.4. Filnavnene er: 

      Navn i NOARKIH                Navn i avlevering                Linje
      ----------------------------  ----------------------------  --------
      JOURNALPOST.XML               JOURNALPOST.XML                    165
      hattifnatt.xml                hattifnatt.xml                    1657
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
