#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 7;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::DuplicateTabellinfo');
}

my $err = Noark::Error::DuplicateTabellinfo->new();

isa_ok($err, 'Noark::Error::DuplicateTabellinfo');

ok($err->add_line({
      table => 'NOARKSAK',
      line  => '16',
  }), "Testing add_line"
 );
ok($err->add_line({
      table => 'JOURNALPOST',
      line  => '24',
  }), "Testing add_line"
 );
ok($err->add_line({
      table => 'ARKIVDEL',
      line  => '32',
  }), "Testing add_line"
 );

# print Dumper $err->{__keys};
# exit;

can_ok($err, qw|to_text|);

# print $err->to_text("2.1.1.", 4);
# exit;
my $expect_to_text = <<BAM;
    2.1.1. Duplisert tabellinfo funnet

    Det ble funnet flere forekomster av TABELLINFO for samme tabell i 
    NOARKIH. Dette gjelder: 

      Tabellnavn                   Linje
      ------------------------  --------
      NOARKSAK                        16
      JOURNALPOST                     24
      ARKIVDEL                        32
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
