#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 7;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::RowCount');
}

my $err = Noark::Error::RowCount->new();

isa_ok($err, 'Noark::Error::RowCount');

ok($err->add_line({
    table => 'NOARKSAK',
    file => 'NOARKSAK.XML',
    line  => '16',
    noarkih_count => 37,
    file_count => 48,
}), "Testing add_line"
 );
ok($err->add_line({
      table => 'JOURNPOST',
      file => 'JOURNALPOST.XML',
      line  => '24',
      noarkih_count => 12,
      file_count => 13,
  }), "Testing add_line"
 );
ok($err->add_line({
      table => 'ARKIVDEL',
      file => 'ARKIVDEL.XML',
      line  => '32',
      noarkih_count => 14,
      file_count => 15,
  }), "Testing add_line"
 );

# print Dumper $err->{__keys};
# exit;

can_ok($err, qw|to_text|);

# print $err->to_text("2.1.1.", 4);
# exit;
my $expect_to_text = <<BAM;
    2.1.1. Feil antall poster oppgitt

    Antall poster oppgitt i NOARKIH stemmer ikke med det som forekommer i 
    avleveringsfilen: 

      Tabell               Linje    Antall  Filnavn         Antall
      ----------------  --------  --------  ------------  --------
      NOARKSAK                16        37  NOARKSAK.XML        48
      JOURNPOST               24        12  JOURNALPOST.        13
      ARKIVDEL                32        14  ARKIVDEL.XML        15
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
