#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 7;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::RowCountDummy');
}

my $err = Noark::Error::RowCountDummy->new();

isa_ok($err, 'Noark::Error::RowCountDummy');

ok($err->add_line({
    table => 'NOARKSAK',
    file => 'NOARKSAK.XML',
    line  => '16',
}), "Testing add_line"
 );
ok($err->add_line({
      table => 'JOURNPOST',
      file => 'JOURNALPOST.XML',
      line  => '24',
  }), "Testing add_line"
 );
ok($err->add_line({
      table => 'ARKIVDEL',
      file => 'ARKIVDEL.XML',
      line  => '32',
  }), "Testing add_line"
 );

# print Dumper $err->{__keys};
# exit;

can_ok($err, qw|to_text|);

# print $err->to_text("2.1.1.", 4);
# exit;
my $expect_to_text = <<BAM;
    2.1.1. Fant potensiell tom tabell

    Det ble funnet XML-filer i avleveringen med '1' post, mens NOARKIH 
    rapporterte '0' poster. Dette typder p at det er brukt en XML-fil uten 
    innhold for  f eksporten til  validere. Det er bedre  fjerne slike 
    tomme tabeller fra avleveringen fullstendig. 

      Tabell               Linje  Filnavn     
      ----------------  --------  ------------
      NOARKSAK                16  NOARKSAK.XML
      JOURNPOST               24  JOURNALPOST.
      ARKIVDEL                32  ARKIVDEL.XML
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
