#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 7;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::FileCount');
}

my $err = Noark::Error::FileCount->new();

isa_ok($err, 'Noark::Error::FileCount');

ok($err->add_line({
    table => 'NOARKSAK',
    line  => '16',
    noarkih_count => 2,
    deposit_count => 1,
}), "Testing add_line"
 );
ok($err->add_line({
      table => 'JOURNPOST',
    noarkih_count => 2,
    deposit_count => 1,
      line  => '24',
  }), "Testing add_line"
 );
ok($err->add_line({
      table => 'ARKIVDEL',
    noarkih_count => 2,
    deposit_count => 1,
      line  => '32',
  }), "Testing add_line"
 );

# print Dumper $err->{__keys};
# exit;

can_ok($err, qw|to_text|);

#print $err->to_text("2.1.1.", 4);
# exit;
my $expect_to_text = <<BAM;
    2.1.1. Feil antall filer oppgitt i TABELLINFO

    TABELLINFO inneholder feil verdi for TI.ANTFILER. Arkivsystemet m 
    utbedres slik at riktig antall filer blir rapportert. Dette gjelder: 

      Tabell               Linje  i NOARKIH   i Avlev.
      ----------------  --------  ---------  ---------
      NOARKSAK                16          2          1
      JOURNPOST               24          2          1
      ARKIVDEL                32          2          1
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
