#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 7;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::UnknownTable');
}

my $err = Noark::Error::UnknownTable->new();

isa_ok($err, 'Noark::Error::UnknownTable');

ok($err->add_line({
    table => 'NOARKSAKFNATT',
    line  => '16',
}), "Testing add_line"
 );
ok($err->add_line({
    table => 'JOURNPOSTFNATT',
    line  => '24',
}), "Testing add_line"
);
ok($err->add_line({
    table => 'ARKIVDELFNATT',
    line  => '32',
}), "Testing add_line"
);

# print Dumper $err->{__keys};
# exit;

can_ok($err, qw|to_text|);

# print $err->to_text("2.1.1.", 4);
# exit;
my $expect_to_text = <<BAM;
    2.1.1. Ugyldig tabellnavn i TABELLINFO

    Det ble funnet et eller flere ugyldige tabellnavn. Disse var: 

      Tabellnavn           Linje
      ----------------  --------
      NOARKSAKFNATT           16
      JOURNPOSTFNATT          24
      ARKIVDELFNATT           32
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
