#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------

use strict;

use Test::More tests => 7;
use Test::Differences;
use Data::Dumper;

BEGIN {
    use_ok('Noark::Error::UnknownAttribute');
}

my $err = Noark::Error::UnknownAttribute->new();

isa_ok($err, 'Noark::Error::UnknownAttribute');

ok($err->add_line({
    attribute => 'foobar'
   }), 
   "Testing add_line"
);
ok($err->add_line({
    attribute => 'doobar'
   }), 
   "Testing add_line"
);
ok($err->add_line({
    attribute => 'roobar'
   }), 
   "Testing add_line"
);


# print Dumper $err->{__keys};
# exit;

can_ok($err, qw|to_text|);

# print $err->to_text("2.1.1.", 4);
# exit;
my $expect_to_text = <<BAM;
    2.1.1. Fant attributter som ikke finnes i Noark-4.1

    Attributter som ikke finnes i Noark-4.1 ble funnet i avleveringen. Disse 
    var: 

      doobar
      foobar
      roobar
BAM

eq_or_diff_text($err->to_text("2.1.1.", 4), $expect_to_text, 'Testing to_text');
