#!/usr/bin/perl
#-----------------------------------------------------------------------
# $Id: 041.filemap.t 766 2011-06-22 10:56:42Z tm $
#-----------------------------------------------------------------------
# Tester for Noark::Parser::Filemap

use strict;

use Test::More tests => 79;
use Noark::Config qw($config);
use Data::Dumper;

BEGIN {
    use_ok('Noark::Parser');
    use_ok('Noark::Parser::Filemap');
}

# I need a parser to construct a filemap, sorry.
my $p = Noark::Parser->new(
    dir    => './uttrekk/test.dokref',
    xmldir    => 'DATA',
    docdir    => 'DOKUMENT',
    reportdir => 'RAPPORT',
    sqldir => './database'
);

isa_ok($p, 'Noark::Parser');

my $map = Noark::Parser::Filemap->new({
    dir  => './uttrekk/test.dokref',
    xmldir    => 'DATA',
    docdir    => 'DOKUMENT',
    reportdir => 'RAPPORT',
    list => $p->get_tabellinfo_list()
});

isa_ok($map, 'Noark::Parser::Filemap');
my $keys = $map->get_filename_keys();
isa_ok($keys, 'ARRAY');

for my $k (@$keys) {
    ok($k =~ /xml$/i, "Is ".$k." an XML file");
}
