#!/usr/bin/perl
#-----------------------------------------------------------------------------
# $Id: 070.schema_dbmap.t 684 2011-06-16 16:17:06Z tm $
#-----------------------------------------------------------------------------
# Tester Noark::Schema::Map;

use Test::More tests => 34;

BEGIN {
    use_ok('Noark::Schema::Map');
} 

my $dbmap = Noark::Schema::Map->new();

isa_ok($dbmap, 'Noark::Schema::Map');

can_ok('Noark::Schema::Map',
       qw(new                 get_noark_field_name  get_noark_table_name
                              get_schema_field_name get_schema_table_name 
          is_noark_table_name _map_lookup           VERSION));

my %tables = ('NOARKSAK.TAB'  => 'noarksak',
              'NOARKSAK'      => 'noarksak',
              'PERSON'        => 'person',
              'JOURNPOST.TAB' => 'journpost',
              'JOURNPOST'     => 'journpost',
             );

my %fields = ('JP.ID'         => 'jp_id',
              'ST.TYPE'       => 'st_type',
              'JP.TGKODE'     => 'jp_tgkode',
              'US.UTVID'      => 'us_utvid',
              'MK.BETEGN'     => 'mk_betegn',
             );

while (my ($key, $value) = each %tables) {
    $key =~ s/\.TAB$//;
    is($dbmap->get_noark_table_name($value), $key,
       "Testing $value gives $key");
    is($dbmap->get_schema_table_name($key), $value,
       "Testing $key gives $value");
    ok($dbmap->is_noark_table_name($key), 
       "Testing is_noark_table_name($key)");
} 

while (my ($key, $value) = each %fields) {
    is($dbmap->get_noark_field_name($value), $key,
       "Testing $value gives $key");
    is($dbmap->get_schema_field_name($key), $value,
       "Testing $key givels $value");
    ok(!$dbmap->is_noark_table_name($key),
      "Testing NOT is_noark_table_name($key)");
}

eval {
    my $foo = $dbmap->get_table_name(type => 'schema', name => 'HATIFNAT');
};
ok($@, "Testing that error dies");
