#!/usr/bin/perl
#-------------------------------------------------------------------------
# $Id$
#-------------------------------------------------------------------------
# checkmodules
#
# Utility script checking if all modules used by arkn4 are available on 
# the system
#

package checkmodules;

use FindBin qw($Bin);
use Data::Dumper;

our $VERSION = 0.1;

my $DEPENDENCIES = $Bin."/../DEPENDENCIES";
open (my $file, $DEPENDENCIES) or die("Could not open $DEPENDENCIES: $!");


# my @LIST = map {chomp $_; s/\//::/g; s/\.pm//; $_} qx|$ARKN4 --modules|;
my %missing = ();


# for my $module (@LIST) {
while (my $module = <$file>) {
  chomp $module;
  next if $module =~ /^#/;
  next if $module =~ /^\s*$/;

  eval "require $module";
  $missing{$module} = ($@) ? 1 : 0;
}

print "Printing missing modules:\n";
while ((my $key, my $value) = each %missing) {
  print $key, "\n" if $value;
}

close $file;
exit(0);
